<?php

namespace App\Collections;

use App\Models\Info;
use Illuminate\Database\Eloquent\Collection;
use Illuminate\Support\Str;

class InfoCollection extends Collection
{

    public function value($key, $options = array())
    {
        $options = array_merge(['clean' => false], $options);
        $value   = $this->first(function($i, $info) use($key) {
            return $info->key == $key;
        }, new Info())->value;

        if ($options['clean']) {
            return Str::slug($value);
        }

        return $value;
    }

    public function from($key )
    {
        foreach ($this->items as $item) {
            if ($key == $item->key) {
                return $item;
            }
        }
    }
}
