<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Services\IssabelService;

class RefreshTokenCommand extends Command
{

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'webservice:refresh-token';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Atualiza o token do webservice';

    /**
     * @var App\Services\IssabelService
     */
    protected $webservice;

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();

        $this->webservice = new IssabelService();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $token = $this->webservice->refreshToken();

        $this->line('');
        $this->info('Token atualizado: ' . $token);
    }
}
