<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Repositories\DIDRepository;

class ReleaseNumbersCommand extends Command
{

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'release:numbers';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Libera os números que não foram utilizados para finalizar pedidos';

    /**
     * @var App\Repositories\DIDRepository
     */
    protected $dids;

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
        $this->dids = app(DIDRepository::class);
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->dids->releaseUnused();

    }
}
