<?php
namespace App\Domains\Coupons\Services;

use App\Domains\Coupons\Repositories\CouponsRepository;
use EscapeWork\LaravelSteroids\Collection;

class CouponsService
{
    public function __construct(CouponsRepository $coupons){
        $this->coupons = $coupons;
    }

    public function validate( $type, $request )
    {
        $coupon = $this->coupons->isValid( $type, $request->code );

        if( $coupon ) {
            session()->put('discount.coupon', $coupon);
            return response()->json( ['status' => 200, 'message' => "Cupom validado com sucesso."] );
        }

        return response()->json( ['status' => 400, 'message' => "O código de desconto informado não é válido ou expirou." ] );
    }

    public function hasActiveCoupon(){
        if( !$this->isEmpty() ){
            return session('discount.coupon');
        }
        return false;
    }

    public function isEmpty(){
        if( session('discount.coupon', null) ){
            return false;
        }

        return true;
    }

    public function clear(){
        session()->forget('discount.coupon');
    }

    public function create($type, $total, $title = null ){
        return $this->coupons->createTouser($type, $total, $title );
    }
}
