<?php

namespace App\Domains\Data;

use Illuminate\Database\Eloquent\Collection;

class DataCollection extends Collection
{

    public function value($model, $key)
    {
        foreach ($this->items as $item) {
            if ($item->model_id == $model->id && $item->key == $key) {
                return (string) $item->value;
            }
        }

        return null;
    }

    public function save($model, $key, $value)
    {
        $data = Data::where('model', get_class($model))
                    ->where('model_id', $model->id)
                    ->where('key', '=', $key)
                    ->first();

        if (! $data) {
            $data = new Data([
                'model'    => get_class($model),
                'model_id' => $model->id,
                'key'      => $key,
                'value'    => $value,
            ]);

            $data->save();
            $this->add($data);
        } else {
            $data->value = $value;

            $data->where('model', get_class($model))
                  ->where('model_id', $model->id)
                  ->where('key', '=', $key)
                  ->update(['value' => $value]);

            $this->update($data);
        }

        return $data;
    }

    public function update($data)
    {
        $this->each(function($model, $i) use($data) {
            if ($model->key == $data->key) {
                $this->items[$i] = $data;
            }
        });
    }
}
