<?php

namespace App\Domains\General\Commands;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\App;
use Indatus\Dispatcher\Scheduling\Schedulable;
use Symfony\Component\Console\Input\InputOption;
use Symfony\Component\Console\Input\InputArgument;
use App\Domains\Users\Models\UserAddress;
use App\Domains\General\AddressService;


class CityCodesCommand extends Command
{
    /**
     * The console command name.
     *
     * @var string
     */
    protected $name = 'city:codes';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Atualiza os endereços que não possuem código do IBGE';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return void
     */
    public function handle()
    {
        $cities = \DB::table('user_addresses')->select(\DB::raw('DISTINCT(city) city, postal_code, state'))->whereNull("city_code")->get();
        foreach( $cities as $city ){

            $response = app(AddressService::class)->byCep($city->postal_code);

            if( isset( $response->ibge ) ){

              \DB::table('user_addresses')->whereNull("city_code")->where('city', $city->city )
                                      ->update(['city_code' => $response->ibge ]);

            }else{

                $this->info(' -> #' . $city->city);

            }

        }
    }
}
