<?php

namespace App\Domains\General\Listeners;

use App\Domains\Stores\Models\Store;
use GuzzleHttp\Client;
use Illuminate\Support\Facades\Cache;
use App\Domains\Products\Models\Product;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use App\Events\EscapeWork\LaraMedias\Events\MediaDeleted;

class ClearModelCacheFromMedia
{
    /**
     * Create the event listener.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Handle the event.
     *
     * @param  MediaCreated|MediaDeleted  $event
     * @return void
     */
    public function handle($event)
    {
        if ($event->media->media_model == Store::class) {
            (new Store)->clearCaches();
        }

        if ($event->media->media_model == Product::class) {
            Cache::forget('products.'.$event->media->mediable->slug);
        }
    }
}
