<?php

namespace App\Domains\General;

use Illuminate\Support\Facades\DB;

trait ReadableByAPI
{
    public function scopeUnread($query)
    {
        return $query->whereNotIn($this->table.'.id', function($query) {
            return $query->select('model_id')
                         ->from('data')
                         ->where('data.model', '=', get_class($this))
                         ->where('data.model_id', '=', DB::raw($this->table.'.id'))
                         ->where('data.key', '=', 'read_by_api');
        });
    }

    public function markAsRead()
    {
        $this->saveData('read_by_api', 1);
    }

    public function markAsUnread()
    {
        $this->deleteData('read_by_api');
    }

    public function wasReadByApi()
    {
        return $this->getData('read_by_api');
    }
}
