<?php

namespace App\Domains\Orders\Commands;

use App\Domains\Orders\Notifications\OrderReviewNotification;
use App\Domains\Orders\Repositories\OrderRepository;
use Illuminate\Console\Command;
use Mail;

class SendReviewRequestCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'orders:reviews:send';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Envia a notificação para o cliente fazer review do pedido';

    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $orders = app(OrderRepository::class)->pendingReview();

        $orders->each(function($order) {
            $order->user->notify(new OrderReviewNotification($order));
            $this->info(' -> Enviado pedido de review para o pedido #' . $order->id);
        });
    }
}
