<?php

namespace App\Domains\Orders\Delivery\Collections;

use Illuminate\Database\Eloquent\Collection;

class BaseCollection extends Collection
{
    /**
     * Combobox options
     */
    protected $comboxBoxOptions = [
        'empty_option'       => true,
        'empty_option_label' => 'Selecione',
        'field'              => 'title',
    ];

    public function combobox($options = [])
    {
        $options = array_merge($this->comboxBoxOptions, $options);
        $data    = [];

        if ($options['empty_option']) {
            $data[null] = $options['empty_option_label'];
        }

        foreach ($this->items as $item) {
            $data[$item->{$item->getKeyName()}] = $item->{$options['field']};
        }

        return $data;
    }

    public function firstItems($count)
    {
        $new = [];

        foreach ($this->items as $i => $item) {
            if (count($new) >= $count) {
                break;
            }

            $new[] = $item;
        }

        return new static($new);
    }
}
