<?php

namespace App\Domains\Orders\Delivery\Collections;

class DeliveryPackageCollection extends BaseCollection
{

    public function byMeasures($measures)
    {

        foreach ($this->items as $package) {

            if( configuration('packages_with_volume_cubic') ){
                if ($measures['cubic_volume'] < $package->volume_cubic) {
                    return $package;
                }
            }

            if ($measures['weight'] < $package->weight_cubic) {
                return $package;
            }
        }

    }

    public function divide($measures)
    {
        $factor = 2;
        $weight = $measures['weight'] / $factor;

        for ($i = 2; $i <= 3; $i++) {
            foreach ($this->items as $package) {
                if ($weight < $package->weight_cubic) {
                    return (($package->depth * $package->width * $package->height) / 6000) * $factor;
                }
            }
        }
    }
}
