<?php

namespace App\Domains\Orders\Delivery\Correios;

use App\Domains\Orders\Delivery\CalculableType;
use EscapeWork\Frete\Correios\PrecoPrazo;
use EscapeWork\Frete\Correios\Data;
use EscapeWork\Frete\FreteException;

class Sedex extends BaseCorreios implements CalculableType
{
    /**
     * @var EscapeWork\Frete\Correios
     */
    protected $correios;

    /**
     * @var array
     */
    protected $measures;

    public function __construct(PrecoPrazo $correios)
    {
        $this->correios = $correios;
    }

    public function calculate($cepOrigem, $cepDestino, $measures)
    {
        $this->measures = $measures;

        if (! $this->validate()) {
            $this->applyMultiplyFactor();
        }

        try {
            $services = array_filter([configuration('correios_codigo_sedex_convenio'), Data::SEDEX]);
            $this->correios->setCodigoServico(implode(',', $services));
            $this->setDefaultAttributes($cepOrigem, $cepDestino);

            return $this->format($this->correios->calculate());
        } catch (FreteException $e) {
            return $this->handleException($e);
        }
    }
}
