<?php

namespace App\Domains\Orders\Delivery\Frenet;

class Frete{
	private $servicos 	= array();
	private $url = '';
	private $quote_data = array();

	private $cep_destino;
	private $cep_origem;
	private $pais_destino;
	private $mensagem_erro = array();

  public function getQuote( $postal_code_source, $cepDestino, $produtos ) {

		    $method_data = array();
        // obtém só a parte numérica do CEP
        $this->cep_origem = preg_replace ("/[^0-9]/", '', $postal_code_source );
        $this->cep_destino = preg_replace ("/[^0-9]/", '', $cepDestino);
        $this->pais_destino='BR';
        // product array
        $shippingItemArray = array();
        $count = 0;
				$shippingValue = 0;

        foreach ($produtos as $prod) {
			      $qty = $prod['quantity'];
            $weight = $prod['weight'] > 0 ? $prod['weight'] : 0.1;
            $depth = $prod['depth'] > 0 ? $prod['depth'] : 1;
            $height = $prod['height'] > 0 ? $prod['height'] : 1;
            $width = $prod['width'] > 0 ? $prod['width'] : 1;

            $shippingItem = (object) [];
            $shippingItem->Weight = $weight / $qty;
            $shippingItem->Length = $depth;
            $shippingItem->Height = $height;
            $shippingItem->Width = $width;
            $shippingItem->Diameter = 0;
            $shippingItem->SKU = '';
            $shippingItem->Category = '';
            $shippingItem->isFragile = false;
         //   $this->log->write( 'shippingItem: ' . print_r($shippingItem, true));

			      $shippingItem->Quantity = $qty;
            $shippingItemArray[$count] = $shippingItem;
						$shippingValue += $prod['special_price'] ? $prod['special_price'] : $prod['price'];
            $count++;
        }

        $service_param = array (
            'quoteRequest' => array(
                'Username' => 'michelle.ecommerce@lojaslinna.com.br',
                'Password' => 'BpzzDg0Yez+AKu14K+jBUA==',
                'Token' => '0A639748RE2B2R4CC8R9EF0RB2240F310C59',
                'SellerCEP' => $this->cep_origem,
                'RecipientCEP' => $this->cep_destino,
                'RecipientDocument' => '',
                'ShipmentInvoiceValue' => $shippingValue,
                'ShippingItemArray' => $shippingItemArray,
                'RecipientCountry' => $this->pais_destino,
                'Coupom' => '',
                'PlatformName' => 'Laravel',
                'PlatformVersion' => 5.5,
            )
        );

        $this->setUrl();
        // Gets the WebServices response.
        ini_set('soap.wsdl_cache_enabled', '0');
        $client = new \SoapClient($this->url, array("soap_version" => SOAP_1_1,"trace" => 1));
        $response = $client->__soapCall("GetShippingQuote", array($service_param));
        //$this->log->write(  $client->__getLastRequest());
        //$this->log->write(  $client->__getLastResponse());

        $options = [];
        if ( isset( $response->GetShippingQuoteResult ) && isset($response->GetShippingQuoteResult->ShippingSevicesArray)
            && isset($response->GetShippingQuoteResult->ShippingSevicesArray->ShippingSevices)) {

                foreach( $response->GetShippingQuoteResult->ShippingSevicesArray->ShippingSevices as $key => $service){
										if( $service->Error == false){
												$deliveryTime = $service->DeliveryTime;
												if( $service->ServiceCode == 'LOG_01'){
													if( date("H:i:s") > '14:00:00') {
														$deliveryTime = $service->DeliveryTime + 1;
													}
												}
												$options[] = [ "id" => "6" . $key, "title" => $service->ServiceDescription, "price" => (double) $service->ShippingPrice , "deadline" => $deliveryTime, 'free' => false ];
										}
                }
            }

        return $options;

	}
    	// prepara a url de chamada ao site dos frenet
	private function setUrl(){

  		$url = "http://services.frenet.com.br/logistics/ShippingQuoteWS.asmx?wsdl";
  		$this->url = $url;
	}
	// prepara a url de chamada ao site dos frenet
	private function setApiUrl(){

		$url = "http://api.frenet.com.br/shipping/quote";
		$this->url = $url;
	}


}
