<?php

namespace App\Domains\Orders\Delivery\Models;

use App\Domains\General\Model;

class DeliveryValueType extends Model
{
    const CORREIOS        = 1;
    const PROPRIOS        = 2;
    const FRETE_GRATIS    = 3;
    const RETIRAR_NA_LOJA = 4;

    /**
     * Table
     */
    protected $table = 'delivery_value_types';

    /**
     * Fillable
     */
    protected $fillable = [
        'id',
        'title',
        'webservice',
    ];

    /**
     * Timestamps
     */
    public $timestamps = false;

    /**
     * Options
     */
    public function options()
    {
        return $this->hasMany('ELucre\Models\DeliveryValueTypeOption');
    }

    public function isPickInStore()
    {
        return $this->id === self::RETIRAR_NA_LOJA;
    }
}
