<?php

namespace App\Domains\Orders\Delivery\TotalExpress;

use App\Domains\Orders\Delivery\CalculableType;
use EscapeWork\Frete\FreteException;
use App\Domains\Orders\Delivery\TotalExpress\Models\Cep;

class Frete implements CalculableType
{
    /**
     * @var array
     */
    protected $measures;

    public function __construct()
    {

    }

    public function calculate($cepOrigem, $cepDestino, $measures)
    {
        $this->measures = $measures;

        try {
            $cepDestino = str_replace("-","",$cepDestino);
            # calculando o Frete
            if( $cep = Cep::where('cep_from','<=',$cepDestino)
                          ->where('cep_to','>=',$cepDestino)
                          ->where('weight','>=', $this->measures['weight'] )
                          ->first() ){

              return  [ "price" => (double) $cep->price, "deadline" => $cep->days ];
            }

        } catch (FreteException $e) {
            return $this->handleException($e);
        }
    }
}
