<?php

namespace App\Domains\Orders\Exporters;

use Maatwebsite\Excel\Facades\Excel;

class OrdersExporter
{

    public function export($orders)
    {
        Excel::create('relatorio-de-pedidos', function($excel) use($orders) {
            $excel->setTitle('Relatório de pedidos')
                  ->setCreator('Relatório de pedidos')
                  ->setCompany('Relatório de pedidos')
                  ->setDescription('Relatório de pedidos');

            $excel->sheet('Clientes', function($sheet) use($orders) {
                $data   = [];
                $data[] = [
                    'Nome',
                    'E-mail',
                    'Telefone',
                    'Endereço',
                    'Bairro',
                    'Cidade',
                    'CEP',
                    'Estado',

                    'Valor',
                    'Pagamento',
                    'Status',

                    'Data da Compra'
                ];

                foreach ($orders as $order) {
                    $data[] = [
                        $order->user->name,
                        $order->user->email,
                        $order->user->phone,
                        $order->user->address,
                        $order->user->district,
                        $order->user->city,
                        $order->user->postal_code,
                        $order->user->state,

                        $order->present->total,
                        $order->present->payment_type,
                        $order->status->title,
                        $order->user->present->created_at
                    ];
                }

                $sheet->fromArray($data, null, 'A1', false, false);
                $sheet->cells('A1:Z1', function($cells) {
                    $cells->setFontWeight('bold');
                });
            });
        })->download('xls');
    }
}
