<?php

namespace App\Domains\Orders\Mailers;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use App\Domains\Orders\Models\Order;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class OrderCreatedAdminMail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * @var App\Domains\Orders\Models\Order
     */
    public $order;

    public function __construct(Order $order)
    {
        $this->order = $order;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('Novo pedido criado no site')
                    ->markdown('emails.orders.manager.created');
    }
}
