<?php

namespace App\Domains\Orders\Mailers;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use App\Domains\Orders\Models\Order;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class OrderPaidFinanceiroMail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * @var App\Domains\Orders\Models\Order
     */
    public $order;

    public function __construct(Order $order)
    {
        $this->order = $order;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('i360 Voz | Novo pedido aprovado')
                    ->markdown('emails.orders.finaceiro.paid');
    }
}
