<?php

namespace App\Domains\Orders\Models;

use App\Domains\Orders\Presenters\OrderDeliveryPresenter;
use App\Domains\Products\Models\Product;
use App\Domains\General\Model;
use EscapeWork\LaravelSteroids\Presentable;

class OrderDelivery extends Model
{
    use Presentable;

    /**
     * Table
     */
    protected $table = 'order_delivery';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'order_id',
        'type',
        'price',
        'deadline',
        'free',
    ];

    /**
     * Presenter
     */
    protected $presenter = OrderDeliveryPresenter::class;

    public function order()
    {
        return $this->belongsTo(Order::class, 'order_id');
    }

}
