<?php

namespace App\Domains\Orders\Models;

use App\Domains\Orders\Presenters\OrderItemPresenter;
use App\Models\Service;
use App\Domains\General\Model;
use EscapeWork\LaravelSteroids\Presentable;

class OrderItem extends Model
{
    use Presentable;

    /**
     * Table
     */
    protected $table = 'order_items';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'order_id',
        'description',
        'quantity',
        'price',
        'stock_reduced'
    ];

    /**
     * Presenter
     */
    protected $presenter = OrderItemPresenter::class;

    public function order()
    {
        return $this->belongsTo(Order::class, 'order_id');
    }

    public function getReviewAttribute()
    {
        return $this->product->reviews()->fromUser($this->order->user_id)->first();
    }

    public function downloadFromStock()
    {
        //return $this->product->downloadFromStock($this->quantity);
    }

    public function returnToStock()
    {
        //$this->product->stock += $this->quantity;
        //$this->product->save();
    }

}
