<?php

namespace App\Domains\Orders\Notifications;

use Illuminate\Bus\Queueable;
use App\Domains\Orders\Models\Order;
use Illuminate\Notifications\Notification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;

class OrderFinalizedNotification extends Notification implements ShouldQueue
{
    use Queueable;

    /**
     * @var App\Domains\Orders\Models\Order
     */
    private $order;

    public function __construct(Order $order)
    {
        $this->order = $order;
    }

    public function via($notifiable)
    {
        return ['mail'];
    }

    public function toMail($notifiable)
    {
        $data = [
            'order' => $this->order,
        ];

        return (new MailMessage)
            ->subject('Seu orçamento foi enviado com sucesso')
            ->markdown('emails.orders.finalized', $data);
    }

    public function toArray()
    {
        return [];
    }
}

