<?php

namespace App\Domains\Orders\Notifications;

use App\Domains\Orders\Models\Order;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class OrderReviewNotification extends Notification
{
    /**
     * @var App\Domains\Orders\Models\Order
     */
    private $order;

    public function __construct(Order $order)
    {
        $this->order = $order;
    }

    public function via($notifiable)
    {
        return ['mail'];
    }

    public function toMail($notifiable)
    {
        $data = [
            'order' => $this->order,
        ];

        return (new MailMessage)
            ->subject('Como foi sua compra?')
            ->markdown('emails.orders.review', $data);
    }

    public function toArray()
    {
        return [];
    }
}

