<?php

namespace App\Domains\Orders\Policies;

use App\Domains\Orders\Models\Order;
use App\Domains\Users\Models\User;
use Illuminate\Auth\Access\HandlesAuthorization;

class OrderPolicy
{
    use HandlesAuthorization;

    /**
     * Create a new policy instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    public function review(User $user, Order $order)
    {
        if (! $order->isOwner($user)) {
            return false;
        }

        if ($order->reviewed()) {
            return false;
        }

        return true;
    }

    public function duplicate(User $user, Order $order)
    {
        if (! $order->isOwner($user)) {
            return false;
        }

        return true;
    }
}
