<?php

namespace App\Domains\Orders\Presenters;

use EscapeWork\LaravelSteroids\Presenter;
use App\Domains\Status\Status;

class OrderPresenter extends Presenter
{

    public function created_at()
    {
        return $this->model->created_at->format('d/m/Y H:i');
    }

    public function updated_at()
    {
        return $this->model->updated_at->format('d/m/Y H:i');
    }

    public function finalized_at()
    {
        return $this->model->finalized_at->format('d/m/Y H:i');
    }

    public function total()
    {
        return number_format($this->model->total, 2, ',', '.');
    }

    public function status()
    {
        return $this->model->status->title;
    }

    public function delivery_type()
    {
        return $this->model->delivery_type == 'store' ? 'Retirar na loja' : 'Receber no endereço cadastrado';
    }

    public function payment_type(){

        switch( $this->model->type){
          case 'cash':
            return 'Dinheiro';
            break;
          case 'debit_card':
            return 'Débito';
            break;
          case 'credit_card':
            return 'Cartão de Crédito';
            break;
          case 'voucher':
            return 'Voucher';
            break;
          case 'pagseguro':
            return 'PagSeguro';
            break;
        }

        return '-';
    }

    public function stepWaiting(){
       return in_array( $this->model->status_id, [
          Status::WAITING_PAYMENT,
       ]) ? 'active' : '' ;
       //return ($this->model->status_id >= Status::WAITING_PAYMENT && $this->model->status_id != Status::PAYMENT_CANCELED ) ? 'active' : '';
    }

    public function stepPaid(){
        return in_array( $this->model->status_id, [
            Status::CONFIRMED,
        ]) ? 'active' : '' ;

       //return ($this->model->status_id >= Status::CONFIRMED && $this->model->status_id != Status::PAYMENT_CANCELED ) ? 'active' : '';
    }

    public function stepSended(){
        return in_array( $this->model->status_id, [
            Status::SENDED,

        ]) ? 'active' : '' ;
        //return ($this->model->status_id >= Status::IN_STORE && $this->model->status_id != Status::PAYMENT_CANCELED ) ? 'active' : '';
    }

    public function stepDelivered(){
        return in_array( $this->model->status_id, [
            Status::DELIVERED,

        ]) ? 'active' : '' ;
       //return ($this->model->status_id >= Status::DELIVERED && $this->model->status_id != Status::PAYMENT_CANCELED ) ? 'active' : '';
    }

    public function stepCanceled(){
      return in_array( $this->model->status_id, [
          Status::PAYMENT_CANCELED

      ]) ? 'active' : '' ;
       //return ($this->model->status_id >= Status::PAYMENT_CANCELED && $this->model->status_id != Status::DOCUMENT_EMITTED) ? 'active' : '';
    }

    public function stepDocument(){
        return in_array( $this->model->status_id, [
            Status::SENDED,
            Status::DELIVERED,
        ]) ? 'active' : '' ;
    }
}
