<?php

namespace App\Domains\Orders\Services;

use App\Models\Product;
use EscapeWork\LaravelSteroids\Collection;

class CartService
{
    public function add(Product $product, $quantity)
    {
        $products = session('cart.products', []);

        if (! isset($products[$product->id])) {
            $products[$product->id] = (int) $quantity;
        }else{
            $products[$product->id] = (int) $quantity;
        }

        session()->put('cart.products', $products);

        return count($products);
    }

    public function remove(Product $product)
    {
        $products = session('cart.products', []);

        if (isset($products[$product->id])) {
            unset($products[$product->id]);
        }

        session()->put('cart.products', $products);

        return count($products);
    }

    public function products()
    {
        $collection = new Collection;
        $products   = (array) session('cart.products', []);

        foreach ($products as $product_id => $quantity) {
            if (! $product = Product::find($product_id)) {
                continue;
            }

            $product->quantity = $quantity;
            $collection->push($product);
        }

        return $collection;
    }

    public function getTotalValue(){

      $collection = new Collection;
      $products   = (array) session('cart.products', []);

      $total = 0;

      foreach ($products as $product_id => $quantity) {
          if (! $product = Product::find($product_id)) {
              continue;
          }

          $total += $product->price;

      }

      return $total;

    }

    public function isBudget(){
      return false;
    }
}
