<?php

namespace App\Domains\Orders\Shipping\Commands;

use Illuminate\Console\Command;
use App\Domains\Orders\Delivery\TotalExpress\Models\Cep;


class ImportTotalExpressCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'shipping:totalexpress';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Importa os valores de fretes da Total Express';

    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $address = storage_path('app/total_express/frete.csv');
        $handle = fopen( $address , "r");
        $header = false;

        $txt = storage_path('app/total_express/txt.sql');
        $handleTXT = fopen( $txt , "w+");

        while ($csvLine = fgetcsv($handle, 0, ";")) {

            if ( !$header) {
                $header = array_splice( $csvLine, 3, 34);
            } else {
              $line = $csvLine;
              $weights = array_splice( $csvLine, 3, 34);

              foreach( $weights as $key => $weight ){
                $data = [
                  'cep_from' => $line[0],
                  'cep_to' => $line[1] ,
                  'days' => $line[2] ,
                  'weight' => $this->normalizeCurrency($header[ $key ]),
                  'price' => $this->normalizeCurrency($weight)
                ];

                $string = "INSERT INTO shipping_total_express (".implode(',', array_keys($data)).") VALUES ('". implode("','", $data) ."');";
                fwrite($handleTXT, $string);

              }
            }
        }

    }

    public function normalizeCurrency( $currency ){
      $string = str_replace("R$","",$currency);
      $string = str_replace(",",".",$currency);
      return trim( $string );
    }
}
