<?php

namespace App\Domains\Payment\ERede;

use App\Domains\Courses\Models\Enrollment;
use App\Domains\Payment\Contracts\Response;
use App\Domains\Status\Status;

class PaymentResponse extends Response
{
    /**
     * @var stdClass
     */
    public $data;

    public function __construct($data)
    {
        $this->data = $data;
    }

    public function getCode()
    {
        return (string) $this->data->Tid;
    }

    public function getStatus()
    {
        if ($this->data->CodRet === '00') {
            return Enrollment::STATUS_CONFIRMADO;
        }

        return Enrollment::STATUS_CANCELADO;
    }

    public function getEnrollmentStatus()
    {
        return $this->getStatus();
    }

    public function getEnrollmentCartStatus()
    {
        if ( $this->data->CodRet == '00') {
            return Status::FINALIZED;
        }

        return Status::CANCELLED;
    }

    public function isSuccessfull()
    {
        return $this->data->CodRet === '00';
    }

    public function isFailed()
    {
        return $this->data->CodRet !== '00';
    }

    public function isWaiting()
    {
        return false;
    }

    public function getExtraData()
    {
        return [
            'NumAutor'  => $this->data->NumAutor,
            'NumSqn'    => $this->data->NumSqn,
            'NumPedido' => $this->data->NumPedido,
        ];
    }
}
