<?php

namespace ELucre\Payment\PagSeguro\Boleto;

use ELucre\Models\PaymentType;
use Illuminate\Support\ServiceProvider;

class BoletoServiceProvider extends ServiceProvider
{
    /**
     * É carregado apenas quando necessario
     */
    protected $defer = false;

    public function register()
    {
        $this->app['payment.pagseguro.boleto'] = $this->app->share(function($app) {
            $paymentType = PaymentType::find(PaymentType::PAGSEGURO_BOLETO);

            return new Payment(
                configuration('pagseguro_email'),
                configuration('pagseguro_token')
            );
        });
    }

    public function provides()
    {
        return ['payment.pagseguro.boleto'];
    }
}
