<?php

namespace App\Domains\Payment\PagSeguro\CreditCard;

use ELucre\Models\PaymentType;
use Illuminate\Support\ServiceProvider;

class CreditCardServiceProvider extends ServiceProvider
{
    /**
     * É carregado apenas quando necessario
     */
    protected $defer = false;

    public function register()
    {
        $this->app['payment.pagseguro.credit-card'] = $this->app->share(function($app)
        {
            $paymentType = PaymentType::find(PaymentType::PAGSEGURO_CREDIT_CARD);

            return new Payment(
                configuration('pagseguro_email'),
                configuration('pagseguro_token')
            );
        });
    }

    public function provides()
    {
        return ['payment.pagseguro.credit-card'];
    }
}
