<?php

namespace ELucre\Payment\PagSeguro\Express;

use ELucre\Models\PaymentType;
use Illuminate\Support\ServiceProvider;

class ExpressServiceProvider extends ServiceProvider
{
    /**
     * É carregado apenas quando necessario
     */
    protected $defer = false;

    public function register()
    {
        $this->app['payment.pagseguro'] = $this->app->share(function($app)
        {
            $paymentType = PaymentType::find(PaymentType::PAGSEGURO);

            return new Payment(
                configuration('pagseguro_email'),
                configuration('pagseguro_token')
            );
        });
    }

    public function provides()
    {
        return ['payment.pagseguro'];
    }
}
