<?php

namespace App\Domains\Payment\PagSeguro;

use App\Domains\Status\Status as OrderStatus;

class Status
{
    /**
     * @var int
     */
    protected $id;

    /**
     * Status
     */
    protected $status = [
        1 => 'Aguardando pagamento',
        2 => 'Em análise',
        3 => 'Paga',
        4 => 'Disponível',
        5 => 'Em disputa',
        6 => 'Devolvida',
        7 => 'Cancelada',
        8 => 'Chargeback Debitado',
        9 => 'Retenção temporária',
    ];

    /**
     * Status do pedido de produtos
     */
    protected $orderStatus = [
        1 => OrderStatus::WAITING_PAYMENT,
        2 => OrderStatus::WAITING_PAYMENT,
        3 => OrderStatus::CONFIRMED,
        6 => OrderStatus::PAYMENT_CANCELED,
        7 => OrderStatus::PAYMENT_CANCELED,
        8 => OrderStatus::PAYMENT_CANCELED,
    ];


    public function __construct($id)
    {
        $this->id = $id;
    }

    public function getStatus()
    {
        if (array_key_exists($this->id, $this->status)) {
            return $this->status[$this->id];
        }
    }

    public function shouldChangeOrderStatus()
    {
        return array_key_exists($this->id, $this->orderStatus);
    }

    public function getStatusId()
    {
        if (array_key_exists($this->id, $this->orderStatus)) {
            return $this->orderStatus[$this->id];
        }
    }

}
