<?php

namespace App\Domains\Payment\PagSeguro;

use Exception, Response;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Log;
use Illuminate\Routing\Controller;

class WebhookController extends Controller
{
    /**
     * @var PagSeguroNotificationService
     */
    protected $notification;

    public function __construct(PagSeguroNotificationService $notification)
    {
        $this->notification = $notification;
    }

    /*
    Recebe os dados de notificacao de atualizacao de pedido do PagSeguro
    */

    public function handle()
    {
        try {
            $this->notification->handle(
                Input::get('notificationCode'),
                Input::get('notificationType')
            );

            return Response::json([
                'message' => 'Pedido atualizado com sucesso!'
            ]);
        } catch (Exception $e) {
            Log::error($e->getMessage());
            Log::debug(Input::all());

            return Response::json([
                'error' => $e->getMessage(),
            ], 422);
        }
    }
}
