<?php

namespace App\Domains\Payment\Presenters;

use EscapeWork\LaravelSteroids\Presenter;

class PaymentPresenter extends Presenter
{
    public function type()
    {
        switch ($this->model->type) {
            case 'credit_card': return 'Cartão de crédito';
            case 'boleto':      return 'Boleto';
            case 'coupon':      return 'Cupom';
            case 'pagseguro':   return 'PagSeguro';
            case 'voucher':   return 'Voucher';
            case 'debit_cart':   return 'Cartão de Débito';
        }
    }

    public function order_number($default = null)
    {
        return $this->model->extra['NumPedido'] ?? $default;
    }

    public function brand_code(  ){

      switch( strtolower($this->model->card_type) ){
          case 'visa':
            return 101;
            break;
          case 'mastercard':
            return 102;
            break;
          case 'american express':
          case 'american_express':
          case 'amex':
            return 103;
            break;
          case 'diners':
            return 104;
            break;
          case 'hipercard':
            return 105;
            break;
          case 'aura':
            return 106;
            break;
          case 'elo':
            return 107;
            break;
          case 'plenocard':
          case 'pleno_card':
            return 108;
            break;
          case 'personalcard':
          case 'personal_card':
            return 109;
            break;
          case 'jcb':
            return 110;
            break;
          case 'discover':
            return 111;
            break;
          case 'brasilcard':
          case 'brasil_card':
            return 112;
            break;
          case 'fortbrasil':
          case 'fort_brasil':
            return 113;
            break;
          case 'cardban':
            return 114;
            break;
          case 'valecard':
            return 115;
            break;
          case 'cabal':
            return 116;
            break;
          case 'mais':
            return 117;
            break;
          case 'avista':
          case 'a_vista':
            return 118;
            break;
          case 'grandcard':
          case 'grand_card':
            return 119;
            break;
          case 'sorocred':
            return 120;
            break;
          case 'up policard':
          case 'up_policard':
          case 'uppolicard':
            return 122;
            break;
          case 'banese_card':
          case 'banesecard':
          case 'banese card':
            return 123;
            break;
          default:
            return 999;
            break;

      }
    }
}
