<?php

namespace App\Domains\Status;

use App\Domains\General\Model;
use EscapeWork\LaravelSteroids\Presentable;
use Illuminate\Database\Eloquent\SoftDeletes;

class Status extends Model
{
    use Presentable, SoftDeletes;

    const WAITING_PAYMENT = 1;
    const CONFIRMED = 2;
    const SENDED = 3;
    const DELIVERED = 4;
    const PAYMENT_CANCELED = 5;
    const PAYMENT_REFUND = 6;


    /**
     * Table
     */
    protected $table = 'status';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'id',
        'title',
    ];

    /**
     * Without timestamps
     */
    public $timestamps = false;

    /**
     * Presenter
     */
    protected $presenter = StatusPresenter::class;

    public function isWaiting()
    {
        if($this->id == 1) {
            return true;
        }

        return false;
    }
}
