<?php

namespace App\Domains\Status;

use EscapeWork\LaravelSteroids\Presenter;

class StatusPresenter extends Presenter
{
    public function label()
    {
        switch ($this->model->id) {
            case Status::WAITING_PAYMENT: return 'warning';
            case Status::CONFIRMED: return 'success';
            case Status::SENDED: return 'info';
            case Status::DELIVERED: return 'success';
            case Status::PAYMENT_CANCELED: return 'danger';
            case Status::PAYMENT_REFUND: return 'danger';
        }
    }

    public function title(){
        if( session()->get('locale') == 'en'){
          return $this->model->title_en;
        }
        return $this->model->title;
    }
}
