<?php

namespace App\Domains\Users\Models;

use App\Domains\Data\Datable;
use App\Domains\Users\Presenters\ApplicationPresenter;
use EscapeWork\LaraMedias\Traits\Medias;
use App\Domains\General\Model;
use EscapeWork\LaravelSteroids\Presentable;

class Application extends Model
{
    use Datable, Presentable, Medias;

    /**
     * Table
     */
    protected $table = 'applications';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'type',
    ];

    /**
     * Presenter
     */
    protected $presenter = ApplicationPresenter::class;

    public function scopeType($query, $type)
    {
        return $query->where('type', '=', $type);
    }
}
