<?php

namespace App\Domains\Users\Presenters;

use EscapeWork\LaravelSteroids\Presenter;

class UserPresenter extends Presenter
{
    public function first_name()
    {
        return explode(' ', $this->model->name)[0];
    }

    public function type()
    {
        return $this->model->isPerson() ? 'Físico' : 'Jurídico';
    }

    public function document()
    {
        if ($this->model->isPerson()) {
            return mask($this->model->document, '###.###.###-##');
        }

        return mask($this->model->document, '##.###.###/####-##');
    }

    public function document_type()
    {
        return $this->model->isPerson() ? 'CPF' : 'CNPJ';
    }

    public function last_login()
    {
        if ($this->model->last_login_at) {
            return $this->model->last_login_at->diffForHumans();
        }
    }
}
