<?php

namespace App\Domains\Users\Repositories;

use App\Domains\Users\Models\Application;
use EscapeWork\LaravelSteroids\Repository;
use Illuminate\Http\Request;

class ApplicationRepository extends Repository
{

    public function __construct(Application $model)
    {
        $this->model = $model;
    }

    public function instructors(Request $request)
    {
        return $this->model
                    ->type('instructor')
                    ->orderBy('created_at', 'desc')
                    ->paginate();
    }

    public function jobs(Request $request)
    {
        return $this->model
                    ->type('job')
                    ->orderBy('created_at', 'desc')
                    ->paginate();
    }
}
