<?php

namespace App\Domains\Users\Repositories;

use App\Domains\Users\Models\User;
use EscapeWork\LaravelSteroids\Repository;
use Illuminate\Http\Request;

class UserRepository extends Repository
{

    public function __construct(User $model)
    {
        $this->model = $model;
    }

    public function manager($request)
    {
        $query =  $this->model->newQuery();

        if( $request->get('deleted')){
          $query->withTrashed();
        }

        return $query->when($request->has('name'), function($query) use($request) {
            $query->where('name', 'like', '%'.$request->name.'%');
        })
        ->when($request->has('email'), function($query) use($request) {
            $query->where('email', 'like', '%'.$request->email.'%');
        })
        ->when($request->has('city'), function($query) use($request) {
            $query->where('city', 'like', '%'.$request->city.'%');
        })
        ->orderBy('created_at', 'desc')
        ->paginate(30);
    }

    public function unread()
    {
        return $this->model
                    ->unread()
                    ->get();
    }

    public function findOrFalseByEmail($email) {
        $user = $this->model->where('email', '=', $email)->first();

        if(! $user ) {
            return false;
        }

        return $user;
    }


}
