<?php

namespace App\Domains\Users\Validators;

class FullNameValidator
{

    public function validate($attribute, $name, $parameters)
    {
        if (! $name) {
            return true;
        }

        $names = explode(' ', trim($name));

        foreach ($names as $name) {
            if (preg_match('/(?:https?:\/\/)?(?:[a-zA-Z0-9.-]+?\.(?:[a-zA-Z])|\d+\.\d+\.\d+\.\d+)/', $name)) {
                return false;
            }

            if (filter_var($name, FILTER_VALIDATE_EMAIL)) {
                return false;
            }
        }

        return count($names) > 1;
    }
}
