<?php

namespace App\Domains\Users\Validators;

use Validator;

class UserIsFullyFilledValidator
{

    public function validate($data)
    {
        return Validator::make($data, $this->rules(), $this->messages());
    }

    protected function rules()
    {
        return [
            'name'         => ['required'],
            'document'     => ['required'],
            'state'        => ['required'],
            'city'         => ['required'],
            'postal_code'  => ['required'],
            'address'      => ['required'],
            'district'     => ['required'],
            'number'       => ['required'],
            'phone'        => ['required', 'min:8'],

            # pessoa juridica
            'ie' => ['required_if:type,J'],
        ];
    }

    protected function messages()
    {
        return [
            'name.required'            => 'O nome é obrigatório',
            'document.required'        => 'Preencha o seu documento',
            'state.required'           => 'O estado é obrigatório',
            'city.required'            => 'A cidade é obrigatória',
            'postal_code.required'     => 'O CEP é obrigatório',
            'district.required'        => 'O bairro é obrigatório',
            'address.required'         => 'O endereço é obrigatório',
            'number.required'          => 'O número é obrigatório',
            'phone.required'           => 'O telefone é obrigatório',
            'phone.min'                => 'Preencha corretamente seu telefone',
            'ie.required_if'           => 'A inscrição estadual é obrigatória',
        ];
    }
}
