<?php

namespace App\Http\Controllers\App;

use App\Http\Requests\ContactRequest;
use App\Http\Requests\BudgetRequest;
use Illuminate\Support\Facades\Mail;
use App\Mail\ContactSent;
use App\Mail\BudgetSent;
use App\Repositories\ContactRepository;
use App\Models\Subscriber;

class ContactController extends Controller
{

    function __construct(ContactRepository $contacts) {
  			$this->contacts = $contacts;
  	}

    public function send(ContactRequest $request)
    {

        $this->contacts->create($request->all());

        if($request->has('authorize'))
        {
          $subscriber = Subscriber::subscribe(['email' => $request->get('email')]);
        }

        Mail::to(config('mail.to'))
            ->send(new ContactSent($request->all()));

        return response([
            'message' => 'Sua mensagem foi enviada com sucesso!',
        ]);
    }

}
