<?php

namespace App\Http\Controllers\App;
use App\Repositories\NewsRepository;
use Illuminate\Http\Request;

class TrendsController extends Controller
{

	/**
		* @var App\Repositories\NewsRepository
		*/
	 protected $news;

	public function __construct(NewsRepository $news)
	{
		 $this->news = $news;
	}

	public function index(Request $request)
	{
		$news = $this->news->search($request);
		return view('app.trends.index', [
			'page' => 'trends',
			'listNews' => $news
		]);
	}

	public function show($slug)
	{
		$news = $this->news->findOrFailBySlug($slug);
		$related = $this->news->related($news);
		return view('app.trends.show', [
			'page' => 'trends',
			'news' => $news,
			'related' => $related
		]);
	}
}
