<?php

namespace App\Http\Controllers\Manager;

use App\Http\Requests;
use App\Repositories\AboutRepository;
use EscapeWork\Manager\Http\Controllers\Controller;
use Illuminate\Http\Request;

class AboutController extends Controller
{
    /**
     * @var App\Repositories\AboutRepository
     */
    protected $abouts;


    public function __construct(AboutRepository $abouts)
    {
        parent::__construct();
        $this->abouts = $abouts;
    }

    public function index(Request $request)
    {
        session()->put('abouts.url', $request->fullUrl());
        $about = $this->abouts->first();
        $about->fill($request->old());

        return view('manager.abouts.edit', [
          'about' => $about,
        ]);
    }


    public function update($id, Requests\AboutSaveRequest $request)
    {
        //check if has about
        $first = $this->abouts->first();
        if( !$first){
          $about = $this->abouts->create($request->all());
        }else{
          $about = $this->abouts->update($id, $request->all());
        }

        $this->abouts->uploadBlob($request->picture_blob,'picture');

        return response()->manager([
            'route'   => session('abouts.url', route('manager.abouts.index')),
            'message' => 'O  <strong>'.$about->title.'</strong> foi atualizado com sucesso',
        ]);
    }

    public function updateBasic($id, Request $request)
    {
        $about = $this->abouts->update($id, $request->all());

        return response()->manager([
            'route'   => session('abouts.url', route('manager.abouts.index')),
            'message' => 'O  <strong>'.$about->title.'</strong> foi atualizado com sucesso',
        ]);
    }

    public function destroy($id)
    {
        $about = $this->abouts->destroy($id);

        return response()->manager([
            'back'    => true,
            'message' => 'O  <strong>'.$about->title.'</strong> foi excluído com sucesso',
        ]);
    }
}
