<?php

namespace App\Http\Controllers\Manager;

use App\Repositories\ContactRepository;
use EscapeWork\Manager\Http\Controllers\Controller;
use Illuminate\Http\Request;

class AffiliatesController extends Controller
{

    /**
     * @var App\Repositories\ContactRepository
     */
    protected $contacts;

    public function __construct(ContactRepository $contacts)
    {
        parent::__construct();

        $this->contacts = $contacts;
    }

    public function index(Request $request)
    {
        return view('manager.affiliates.index', [
            'contacts' => $this->contacts->filter($request, 'affiliate'),
        ]);
    }

    public function show($id)
    {
        return view('manager.affiliates.show', [
            'contact' => $this->contacts->findOrFail($id),
        ]);
    }

    public function destroy($id)
    {
        $contact = $this->contacts->findOrFail($id);
        $contact->delete();

        return redirect()->back()
                         ->with('message', 'O contato foi excluído com sucesso!');
    }
}
