<?php

namespace App\Http\Controllers\Manager;

use App\Http\Requests;
use App\Repositories\InfoRepository;
use EscapeWork\Manager\Http\Controllers\Controller;
use Illuminate\Http\Request;

class infosController extends Controller
{

    /**
     * @var App\Repositories\InfoRepository
     */
    protected $infos;

    public function __construct(InfoRepository $infos)
    {
        parent::__construct();

        $this->infos = $infos;
    }

    public function index(Request $request)
    {
        return view('manager.infos.index', [
            'infos' => $this->infos->all(),
        ]);
    }

    public function edit($id)
    {
        $info = $this->infos->findOrFail($id);

        return view('manager.infos.edit', [
            'info' => $info,
        ]);
    }

    public function update($id, Request $request)
    {
        $info = $this->infos->findOrFail($id);
        $info->fill($request->all());
        $info->save();
        $info->uploadPicture($request->file('picture'));

        return redirect()->route('manager.infos.index')
                         ->with('message', 'Informação atualizada com sucesso!');
    }
}
