<?php

namespace App\Http\Controllers\Manager;

use App\Exporters\SubscribersExporter;
use App\Http\Requests;
use App\Repositories\SubscriberRepository;
use EscapeWork\Manager\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Maatwebsite\Excel\Facades\Excel;

class SubscribersController extends Controller
{

    /**
     * @var App\\Repositories\SubscriberRepository
     */
    protected $subscribers;

    public function __construct(SubscriberRepository $subscribers)
    {
        parent::__construct();

        $this->subscribers = $subscribers;
    }

    public function index(Request $request)
    {
        return view('manager.subscribers.index', [
            'subscribers' => $this->subscribers->manager($request),
        ]);
    }

    public function export(Request $request)
    {
      return Excel::download(new SubscribersExporter, 'newsletter.xlsx');
    }

    public function destroy($id)
    {
        $subscriber = $this->subscribers->findOrFail($id);
        $subscriber->delete();

        return redirect()->back()
                         ->with('message', 'O contato <strong>'.$subscriber->name.'</strong> foi excluído com sucesso');
    }
}
