<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class ApplicationRequest extends FormRequest
{

    public function authorize()
    {
        return true;
    }

    public function rules()
    {

        return [
            'interests' => ['required','array','min:1'],
            'name' => ['required'],
            'phone' => ['required'],
            'email' => ['required', 'email'],
            'state' => ['required'],
            'city' => ['required'],
            'file' => ['required'],
            'honeyform'   => 'honeypot',
            'honeyform_time'   => 'required|honeytime:10',
            'recaptcha-token'=> ['required','recaptcha']
        ];

    }

    public function messages()
    {
        return [
            'interests.required' => 'Por favor, selecione ao menos uma vaga de interesse',
            'name.required' => 'Por favor, preencha seu nome',
            'phone.required' => 'Por favor, preencha seu telefone',
            'email.required' => 'Por favor, preencha seu email',
            'email.email' => 'Por favor, digite um email válido',
            'state.required' => 'Por favor, selecione seu estado',
            'city.required' => 'Por favor,  preencha sua cidade',
            'file.required' => 'Por favor, selecione seu currículo',
            'file.mimes'    => 'Apenas currículos em PDF ou Word são aceitos',
            'recaptcha-token.required'=> 'Por favor verifique se todos os campos estão preenchidos corretamente',
            'recaptcha-token.recaptcha'=> 'Por favor verifique se todos os campos foram preenchidos corretamente e tente novamente'
        ]; 
    }

}
