<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class BannerSaveRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title'  => ['required', 'max:255'],
            'banner' => ['mimes:jpg,jpeg,png'],
        ];
    }

    public function messages()
    {
        return [
            'title.required' => 'O título é obrigatório',
            'banner.mimes'   => 'Apenas imagens JPG e PNG são aceitas',
        ];
    }
}
