<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class BudgetRequest extends FormRequest
{

    public function authorize()
    {
        return true;
    }

    public function rules()
    {
        return [
            'name'  => ['required'],
            'email' => ['required', 'email'],
            'phone' => ['required'],
            'msg'   => ['required'],
            'honeyform'   => 'honeypot',
            'honeyform_time'   => 'required|honeytime:10',
            'recaptcha-token'=> ['required','recaptcha']
        ];
    }

    public function messages()
    {
        return [
            'name.required'  => 'Preencha seu nome',
            'email.required' => 'Preencha seu email',
            'email.email'    => 'Digite um email válido',
            'phone.required' => 'Preencha seu telefone',
            'state.required' => 'Preencha seu estado',
            'city.required' => 'Preencha sua cidade',
            'msg.required'   => 'Preencha a mensagem',
            'recaptcha-token.required'=> 'Por favor verifique se todos os campos estão preenchidos corretamente',
            'recaptcha-token.recaptcha'=> 'Por favor verifique se todos os campos foram preenchidos corretamente e tente novamente'
        ];
    }
}
