<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class NewsSaveRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title'      => ['required', 'max:255'],
            'date'       => ['required', 'date_format:d/m/Y'],
            'content'    => ['required'],
            'pictures.*' => ['mimes:jpg,jpeg,pjpg,pjpeg,png'],
        ];
    }

    public function messages()
    {
        return [
            'title.required'   => 'O título da notícia é obrigatório',
            'date.required'    => 'A data da notícia é obrigatória',
            'date.date_format' => 'Preencha uma data válida',
            'content.required' => 'O conteúdo da notícia é obrigatório',
            'pictures.*.mimes' => 'As fotos devem ser do tipo JPG/PNG',
        ];
    }
}
