<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PartnerSaveRequest extends FormRequest
{

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name'    => ['required', 'max:255'],
            'picture' => ['mimes:jpg,jpeg,png'],
        ];
    }

    public function messages()
    {
        return [
            'name.required' => 'O nome é obrigatório',
            'link.url'      => 'Por favor, preencha um link válido (não esqueça do http:// na frente)',
            'picture.mimes' => 'Apenas imagens JPG e PNG são aceitas',
        ];
    }
}
