<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StepAddressRequest extends FormRequest
{

    public function authorize()
    {
        return true;
    }

    public function rules()
    {
      return [
          'modal.postal_code'  => ['required'],
          'modal.state' => ['required'],
          'modal.city' => ['required'],
          'modal.address' => ['required'],
          'modal.number' => ['required'],
          'modal.district' => ['required'],

      ];

    }

    public function messages()
    {
        return [
            'modal.postal_code.required'  => 'Preencha o CEP',
            'modal.state.required'  => 'Preencha o Estado',
            'modal.city.required'  => 'Preencha a Cidade',
            'modal.address.required'  => 'Preencha o Endereço',
            'modal.number.required'  => 'Preencha o Número',
            'modal.district.required'  => 'Preencha o Bairro',

            'recaptcha-token.required'=> 'Por favor verifique se todos os campos estão preenchidos corretamente',
            'recaptcha-token.recaptcha'=> 'Por favor verifique se todos os campos foram preenchidos corretamente e tente novamente'
        ];
    }
}
