<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StepCardRequest extends FormRequest
{

    public function authorize()
    {
        return true;
    }

    public function rules()
    {
      return [
          'credit_card_number'  => ['required'],
          'expirationMonth' => ['required'],
          'expirationYear' => ['required'],
          'cvv' => ['required'],
          'credit_card_name' => ['required'],
          'credit_card_cpf' => ['required'],
          'credit_card_birth_date' => ['required'],
          'credit_card_phone_ddd' => ['required'],
          'credit_card_phone' => ['required'],

      ];

    }

    public function messages()
    {
        return [
            'credit_card_number.required'  => 'Preencha o número do Cartão de Crédito',
            'expirationMonth.required'  => 'Preencha o mês de validade',
            'expirationYear.required'  => 'Preencha o ano de validade',
            'cvv.required'  => 'Preencha o código de segurança',
            'credit_card_name.required'  => 'Preencha o nome do titular',
            'credit_card_cpf.required'  => 'Preencha o CPF do titular',
            'credit_card_birth_date.required'  => 'Preencha a data de nascimento do titular',
            'credit_card_phone_ddd.required'  => 'Preencha o DDD',
            'credit_card_phone.required'  => 'Preencha o telefone sem DDD',

        ];
    }
}
