<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StepDataRequest extends FormRequest
{

    public function authorize()
    {
        return true;
    }

    public function rules()
    {

        $type = request()->get('person_type');

        if($type == 'F')
        {
          return [
              'name'  => ['required'],
              'cpf' => ['required'],
              'email' => ['required', 'email'],
              'phone' => ['required'],
              'segment' => ['required'],

              'contact_name' => ['required'],
              'contact_email' => ['required', 'email'],
              'contact_phone' => ['required'],
              'contact_birthday' => ['required']
          ];

        }else{

          return [
              'company_name'  => ['required'],
              'cnpj' => ['required'],
              'email' => ['required', 'email'],
              'phone' => ['required'],
              'segment' => ['required'],

              'contact_name' => ['required'],
              'contact_email' => ['required', 'email'],
              'contact_phone' => ['required'],
              'contact_birthday' => ['required']
          ];
        }

    }

    public function messages()
    {
        return [
            'name.required'  => 'Preencha seu nome',
            'company_name.required'  => 'Preencha a Razão Social',
            'email.required' => 'Preencha seu email',
            'email.unique' => 'O e-mail informado já foi utilizado e/ou já possui cadastro conosco. Por favor entre em contato com nosso atendimento ou utilize outro para prosseguir.',
            'email.email'    => 'Digite um email válido',
            'phone.required' => 'Preencha seu telefone',
            'cpf.required' => 'Preencha seu CPF',
            'cnpj.required' => 'Preencha seu CNPJ',
            'segment.required' => 'Preencha o segmento',
            'contact_name.required' => 'Preencha o nome do contato',
            'contact_phone.required' => 'Preencha o telefone do contato',
            'contact_birthday.required' => 'Preencha a data de nascimento do contato',
            'contact_email.required' => 'Preencha o e-mail do contato',
            'email.email'    => 'Digite um email de contato válido',
            'msg.required'   => 'Preencha a mensagem',

            'recaptcha-token.required'=> 'Por favor verifique se todos os campos estão preenchidos corretamente',
            'recaptcha-token.recaptcha'=> 'Por favor verifique se todos os campos foram preenchidos corretamente e tente novamente'
        ];
    }
}
