<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SubscribeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name'  => ['required'],
            'email' => ['required', 'email'],
            'honeyform'   => 'honeypot',
            'honeyform_time'   => 'required|honeytime:10',
            'recaptcha-token'=> ['required','recaptcha']
        ];
    }

    public function messages()
    {
        return [
            'name.required'  => 'Por favor, preencha seu nome',
            'email.required' => 'Por favor, preencha seu e-mail',
            'email.email'    => 'Por favor, preencha um e-mail válido',
            'recaptcha-token.required'=> 'Por favor verifique se todos os campos estão preenchidos corretamente',
            'recaptcha-token.recaptcha'=> 'Por favor verifique se todos os campos foram preenchidos corretamente e tente novamente'
        ];
    }
}
