<?php

namespace App\Http\Requests;

class UserUpdateRequest extends Request
{

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name'  => ['required', 'max:255'],
            'email' => ['required', 'email', 'max:255'],
        ];
    }

    public function messages()
    {
        return [
            'name.required'     => 'Preencha o nome',
            'email.required'    => 'Preencha o e-mail',
            'email.email'       => 'Preencha um e-mail válido',
            'password.required' => 'Preencha a senha',
        ];
    }
}
