<?php

namespace App\Imports;

use App\Models\DID;
use Illuminate\Support\Facades\Hash;
use Maatwebsite\Excel\Concerns\ToModel;

class DIDImporter implements ToModel
{
    /**
     * @param array $row
     *
     * @return DID|null
     */
    public function model(array $row)
    {

        $accepted_types = config('app.phone_types');

        // check if tipo de numero é aceito
        if(in_array($row[0], $accepted_types))
        {
          // check if number already exists
          $number = str_replace(['\'','(',')','-',' '],'', $row[3]);
          $did = app(DID::class)->where(['type' => $row[0], 'city' => $row[1], 'area_code' => $row[2], 'number' => $number ])->first();

          if(!$did)
          {
            return new DID([
               'type'     => $row[0],
               'city'    => $row[1],
               'area_code'    => $row[2],
               'number' => $number
            ]);
          }

        }


    }
}
