<?php

namespace App\Models;

use EscapeWork\Manager\Models\Model;
use EscapeWork\LaravelSteroids\Sluggable;
use EscapeWork\LaravelSteroids\Presentable;
use EscapeWork\LaraMedias\Traits\Medias;
use EscapeWork\LaravelUploader\Upload;
use EscapeWork\LaravelSteroids\Cacheable;

class Abouts extends Model
{
    use Presentable, Medias, Cacheable;

    /**
     * Table
     */
    protected $table = 'abouts';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'title',
        'description',
        'title_home',
        'description_home',
        'mission',
        'vision',
        'values'
    ];

    /**
     * Caches
     */
    protected $cacheables = [
        'abouts.first',
    ];

    /**
     * The presenter class
     */
    protected $presenter = 'App\Presenters\AboutPresenter';

    public function uploadPicture($picture)
    {
        if ($picture) {
            $this->uploadSingleMedia($picture, 'picture');
            $this->save();
        }
    }

    public function medias()
    {
        return $this->morphMany('EscapeWork\LaraMedias\Models\Media', 'medias', 'media_model', 'model_id')
                    ->orderBy('order');
    }

    public function awards(){
      return $this->hasMany('App\Models\Award','about_id');
    }

    public function uploadBlob($picture, $field)
    {
        if ($picture) {

            $image = base64_decode(str_replace('data:image/jpeg;base64,','',$picture));
            $safeName = str_random(15).'.'.'jpg';
             \Storage::disk('local')->put('medias/'.$this->table.'/'.$safeName, $image);
             $this->$field = $safeName;
             $this->save();
        }
    }
    public function faqs()
    {
        return $this->hasMany('App\Models\Faq','model_id');
    }

}
