<?php

namespace App\Models;

use EscapeWork\LaravelSteroids\Model;

class Contact extends Model
{

    /**
     * Table
     */
    protected $table = 'contacts';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'name',
        'phone',
        'email',
        'city',
        'state',
        'interest',
        'msg',
        'document',
        'clients',
        'ramais',
        'company_name'
    ];

    /**
     * Appends
     */
    protected $appends = [
        'created_at_formated',
    ];

    public function getCreatedAtFormatedAttribute()
    {
        return $this->created_at->format('d/m/Y H:i:s');
    }

    public function scopeSearch($query, $field, $value)
    {
      return $query->where($field, 'LIKE', '%' . $value . '%');
    }
}
