<?php

namespace App\Models;

use EscapeWork\Manager\Models\Model;
use EscapeWork\LaravelSteroids\Presentable;
use EscapeWork\LaravelSteroids\Sluggable;

class NewsCategory extends Model
{

    /**
     * Table
     */
    protected $table = 'news_categories';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'title',
        'description',
        'active',
    ];

    /**
     * Sluggable
     */
    use Sluggable;

    /**
     * Presentable
     */
    use Presentable;

    /**
     * The presenter class
     */
    protected $presenter = 'App\Presenters\NewsCategoryPresenter';
}
