<?php

namespace App\Models;

use EscapeWork\LaravelSteroids\Model;
use EscapeWork\LaraMedias\Traits\Medias;
use EscapeWork\LaravelSteroids\Sortable;
use EscapeWork\LaravelSteroids\Presentable;

class Partner extends Model
{

    /**
     * Table
     */
    protected $table = 'partners';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'name',
        'link',
        'order',
    ];

    /**
     * Traits
     */
    use Presentable, Sortable, Medias;

    /**
     * The presenter class
     */
    protected $presenter = 'App\Presenters\PartnerPresenter';
}
