<?php

namespace App\Models;

use EscapeWork\LaravelSteroids\Model;
use EscapeWork\LaravelSteroids\Presentable;
use EscapeWork\LaravelSteroids\Sluggable;

class Region extends Model
{

    /**
     * Table
     */
    protected $table = 'regions';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'title',
        'region_id',
        'description',
        'active',
    ];

    /**
     * Sluggable
     */
    use Sluggable;

    /**
     * Presentable
     */
    use Presentable;

    /**
     * The presenter class
     */
    protected $presenter = 'App\Presenters\RegionsPresenter';

    public function regions(){
        return $this->hasMany("App\Models\Region",'region_id');
    }
}
