<?php

namespace App\Models;

use EscapeWork\LaravelSteroids\Model;
use EscapeWork\LaravelSteroids\Presentable;
use EscapeWork\LaravelSteroids\Sluggable;

class Section extends Model
{

    /**
     * Table
     */
    protected $table = 'sections';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'title',
        'active',
    ];

    /**
     * Sluggable
     */
    use Sluggable;

    /**
     * Presentable
     */
    use Presentable;

    /**
     * The presenter class
     */
    protected $presenter = 'App\Presenters\SectionsPresenter';
}
