<?php

namespace App\Models;

use EscapeWork\LaravelSteroids\Model;
use EscapeWork\LaravelSteroids\Presentable;

class Subscriber extends Model
{

    /**
     * Table
     */
    protected $table = 'subscribers';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'name',
        'email',
        'city',
        'state',
    ];

    /**
     * Traits
     */
    use Presentable;

    /**
     * The presenter class
     */
    protected $presenter = 'App\Presenters\SubscriberPresenter';

    public function scopeJoinGroups($query)
    {
        return $query->leftJoin('subscriber_groups', 'subscriber_groups.subscriber_id', '=', 'subscribers.id');
    }

    public function groups()
    {
        return $this->belongsToMany('App\Models\SubscriberGroup', 'subscriber_groups', 'subscriber_id', 'group_id');
    }

    public static function subscribe($data)
    {
        if (! $subscriber = static::where('email', '=', $data['email'])->first()) {
            $subscriber = new Subscriber;
        }

        $subscriber->fill($data);
        $subscriber->save();

        return $subscriber;
    }
}
