<?php

namespace App\Models;

use EscapeWork\LaravelSteroids\Model;
use Form;


class SubscriberGroup extends Model
{

    /**
     * Table
     */
    protected $table = 'subscribers_groups';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'title',
    ];

    /**
     * Timestamps
     */
    public $timestamps = false;

    public function subscribers()
    {
        return $this->belongsToMany('App\Models\Subscriber', 'subscriber_groups', 'group_id', 'subscriber_id');
    }

    public static function combo($id = null, $options = [])
    {
        $languages = static::all()->combobox(array_merge([
            'empty_option'       => false,
            'empty_option_label' => 'Grupo de interesse'
        ], $options));

        return Form::select('group_id', $languages, $id, [
            'class' => 'form-control',
        ]);
    }
}
