<?php

namespace App\Models;

use EscapeWork\LaravelSteroids\Model;
use EscapeWork\LaraMedias\Traits\Medias;
use EscapeWork\LaravelSteroids\Cacheable;
use EscapeWork\LaravelSteroids\Sluggable;
use EscapeWork\LaravelSteroids\Presentable;
use EscapeWork\LaraMedias\Contracts\Mediable;

class Testimonial extends Model implements Mediable
{
    use Presentable, Cacheable, Medias;

    /**
     * Table
     */
    protected $table = 'testimonials';

    /**
     * Fillable fields
     */
    protected $fillable = [
        'name',
        'company',
        'logo',
        'city',
        'uf',
        'body',
    ];

    /**
     * The presenter class
     */
    protected $presenter = 'App\Presenters\TestimonialPresenter';

    /**
     * Caches
     */
    protected $cacheables = [
        'testimonials.all',
    ];

    public function uploadLogo($logo)
    {
        if ($logo) {
            $this->uploadSingleMedia($logo, 'logo');
            $this->save();
        }
    }
}
