<?php

namespace App\Presenters;

use EscapeWork\LaravelSteroids\Presenter;

class BannerPresenter extends Presenter
{

    public function picture($w = 500, $h = 200, $fit = 'fit')
    {
        if ($banner = $this->model->banner) {
            return asset('medias/banners/' . $banner . '?w=' . $w . '&h=' . $h . '&fit=' . $fit . '&q=85');
        }
    }

    public function picture_mobile($w = 500, $h = 200, $fit = 'fit')
    {
        if ($banner = $this->model->banner_mobile) {
            return asset('medias/banners/' . $banner . '?w=' . $w . '&h=' . $h . '&fit=' . $fit . '&q=85');
        }
    }

    public function picture_cover($w = 500, $h = 200, $fit = 'fit')
    {
        if ($banner = $this->model->banner_cover) {
            return asset('medias/banners/' . $banner . '?w=' . $w . '&h=' . $h . '&fit=' . $fit . '&q=85');
        }
    }

    public function banner($fit = 'crop')
    {
        if ($banner = $this->model->banner) {
            $config = config('banners.types.'.$this->model->type);

            return asset('medias/banners/' . $banner . '?w=' . $config['width'] . '&h=' . $config['height'] . '&fit=' . $fit);
        }
    }

    public function banner_mobile($w = 500, $h = 200, $fit = 'fit')
    {
        if ($banner = $this->model->banner_mobile) {
            return media_path($this->model, 'banner_mobile', $w, $h, $fit);
        }
    }

     public function banner_cover($w = 500, $h = 200, $fit = 'fit')
    {
        if ($banner = $this->model->banner_cover) {
            return media_path($this->model, 'banner_cover', $w, $h, $fit);
        }
    }

    public function expire_at()
    {
        if ($this->model->expire_at) {
            return $this->model->expire_at->format('d/m/Y');
        }
    }

    public function type()
    {
        return config('banners.types.'.$this->model->type.'.title');
    }
}
