<?php

namespace App\Presenters;

use EscapeWork\LaravelSteroids\Presenter;
use Illuminate\Support\Str;

class CasePresenter extends Presenter
{

    public function mediasFirstPicture($w, $h, $fit = 'fit')
    {
        if ($media = $this->model->medias->first()) {
            return $media->present->picture($w, $h, $fit);
        }
    }

    public function date()
    {
        if ($this->model->date) {
            return $this->model->date->format('d.m.Y');
        }
    }

    public function excerpt($limit = 100)
    {
        return Str::limit(strip_tags($this->model->subtitle), $limit);
    }

    public function picture($w = 500, $h = 200, $fit = 'fit')
    {
        if ($banner = $this->model->picture) {
            return media_path($this->model, 'picture', $w, $h, $fit);
        }
    }

    public function folder($w = 500, $h = 200, $fit = 'fit')
    {
        if ($folder = $this->model->folder) {
            return media_path($this->model, 'folder', $w, $h, $fit);
        }
    }
}
