<?php

namespace App\Presenters;

use EscapeWork\LaravelSteroids\Presenter;
use Illuminate\Support\Str;

class InfoPresenter extends Presenter
{

    public function excerpt($limit = 50)
    {
        return Str::limit(strip_tags($this->model->value), $limit);
    }

    public function picture($w = 500, $h = 200, $fit = 'fit')
    {
        if ($banner = $this->model->value) {
            return media_path($this->model, 'value', $w, $h, $fit);
        }
    }

    public function youtube(){
      return getYoutubeID($this->model->value);
    }

    public function number()
    {
        return str_replace(['(',')',' ','-','.'], "", $this->model->value);
    }
}
