<?php

namespace App\Presenters;

use EscapeWork\LaravelSteroids\Presenter;

class ServicePresenter extends Presenter
{
    public function picture($w = 500, $h = 200, $fit = 'fit')
    {
        if ($picture = $this->model->picture) {
            return asset('medias/services/' . $picture . '?w=' . $w . '&h=' . $h . '&fit=' . $fit);
        }
    }

    public function banner($w = 500, $h = 200, $fit = 'fit')
    {
        if ($banner = $this->model->banner) {
            return asset('medias/services/' . $banner . '?w=' . $w . '&h=' . $h . '&fit=' . $fit);
        }
    }

    public function banner_mobile($w = 500, $h = 200, $fit = 'fit')
    {
        if ($banner = $this->model->banner_mobile) {
            return asset('medias/services/' . $banner . '?w=' . $w . '&h=' . $h . '&fit=' . $fit);
        }
    }

    public function icon($w = 500, $h = 200, $fit = 'fit')
    {
        if ($banner = $this->model->icon) {
            return asset('medias/services/' . $banner . '?w=' . $w . '&h=' . $h . '&fit=' . $fit);
        }
    }

    public function integerValue()
    {
      $parts = explode(".", $this->model->value);
      if(isset($parts[0]))
      {
        return $parts[0];
      }
      return "-";
    }

    public function cents()
    {
      $parts = explode(".", $this->model->value);
      if(isset($parts[1]))
      {
        return $parts[1];
      }
      return "-";
    }

    public function description()
    {
      $description = $this->model->description;
      $description = str_replace('<ul>','<ul class="list-main">', $description);
      $description = str_replace('<li>','<li class="list-main-item">', $description);
      return $description;

    }

    public function value()
    {
      return number_format($this->model->value,2,",",".");
    }

    public function value_ramal()
    {
      return number_format($this->model->value_ramal,2,",",".");
    }

}
