<?php

namespace App\Providers;

use Carbon\Carbon;
use Illuminate\Support\ServiceProvider;
use Validator;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        # view composers
        # view composers
        //view()->composer('app.master', 'App\Composers\MasterComposer');
        view()->composer('app.modules.section-banner', 'App\Composers\BannersComposer');
        view()->composer('app.modules.section-plans', 'App\Composers\MasterComposer');
        //view()->composer('app.modules.section-solutions', 'App\Composers\MasterComposer');
        view()->composer('app.home', 'App\Composers\AboutComposer');
        view()->composer('app.modules.section-about', 'App\Composers\AboutComposer');
        view()->composer('app.modules.section-differentials', 'App\Composers\AboutComposer');
        view()->composer('app.modules.section-faq', 'App\Composers\MasterComposer');
        view()->composer('app.modules.section-resources', 'App\Composers\AboutComposer');
        view()->composer('app.modules.section-integrations', 'App\Composers\MasterComposer');
        view()->composer('app.modules.section-additional', 'App\Composers\MasterComposer');
        view()->composer('app.master', 'App\Composers\InfosComposer');
        //view()->composer('app.about', 'App\Composers\AboutComposer');
        view()->composer('app.modules.section-trends', 'App\Composers\NewsComposer');
        //view()->composer('app.modules.section-numbers', 'App\Composers\AboutComposer');
        //view()->composer('app.modules.section-differentials', 'App\Composers\AboutComposer');
        //view()->composer('app.inc.contacts', 'App\Composers\InfosComposer');
        view()->composer('app.inc.social', 'App\Composers\InfosComposer');
        view()->composer('app.terms', 'App\Composers\InfosComposer');
        //view()->composer('app.master', 'App\Composers\InfosComposer');
        view()->composer('app.partners', 'App\Composers\AboutComposer');
        view()->composer('app.affiliates', 'App\Composers\AboutComposer');
        view()->composer('app.solution', 'App\Composers\AboutComposer');

        Validator::extend(
          'recaptcha',
          'App\\Validators\\ReCaptcha@validate'
        );

        Carbon::setLocale('pt_BR');
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }
}
