<?php

namespace App\Repositories;

use App\Models\Abouts;
use EscapeWork\LaravelSteroids\Repository;
use Illuminate\Support\Facades\Cache;

class AboutRepository extends Repository
{

    public function __construct(Abouts $about)
    {
        $this->setModel($about);
    }

    public function create(array $data)
    {
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function update($id, array $data)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function destroy($id)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->delete();

        return $this->model;
    }

    public function manager($request)
    {
        $query = $this->model->newQuery();

        return $query->orderBy('created_at', 'desc')
                     ->paginate();
    }

    public function findOrFailBySlug($slug)
    {
        if (! $page = $this->model->where('slug', '=', $slug)->first()) {
            abort(404);
        }

        return $page;
    }

    public function first()
    {
        return Cache::rememberForever('abouts.first', function() {
            return $this->model
                        ->first();
        });
    }


}
