<?php

namespace App\Repositories;

use Carbon\Carbon;
use EscapeWork\LaravelSteroids\Repository;
use App\Models\Application;

class ApplicationRepository extends Repository
{
    public function create(array $data)
    {
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function __construct(Application $model)
    {
        $this->model = $model;
    }

    public function manager($request)
    {
        $query = $this->model
            ->select('applications.*');

        if ($request->has('name')) {
            $query->where('name', 'like', '%' . $request->name . '%');
        }

        if ($request->has('email')) {
            $query->where('email', 'like', '%' . $request->email . '%');
        }

        if ($request->has('city')) {
            $query->where('city', 'like', '%' . $request->city . '%');
        }

        return $query->orderBy('created_at', 'desc')
            ->paginate();
    }
}
