<?php

namespace App\Repositories;

use App\Models\Award;
use EscapeWork\LaravelSteroids\Repository;

class AwardRepository extends Repository
{

    public function __construct(Award $award)
    {
        $this->setModel($award);
    }

    public function create(array $data)
    {
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function update($id, array $data)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function destroy($id)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->delete();

        return $this->model;
    }

    public function manager($request,$about_id)
    {
        $query = $this->model->newQuery();

        // if ($request->has('title')) {
        //     $query->search('title', $request->title);
        // }

        $query->where('about_id', $about_id);

        return $query->get();
    }

    public function uploadPicture($picture)
    {
        if ($picture) {
            $this->model->uploadSingleMedia($picture, 'picture');
            $this->model->save();
        }
    }
}
