<?php

namespace App\Repositories;

use EscapeWork\LaravelSteroids\Repository;
use Illuminate\Support\Facades\Cache;
use App\Models\Banner;

class BannerRepository extends Repository
{

    public function __construct(Banner $model)
    {
        $this->setModel($model);
    }

    public function create(array $data)
    {
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function update($id, array $data)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function destroy($id)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->delete();

        return $this->model;
    }

    public function manager($request)
    {
        $query = $this->model->newQuery();

        if ($request->has('title')) {
            $query->search('title', $request->title);
        }
        
        return $query->get();
    }

    public function actives()
    {
        return Cache::rememberForever('banners.actives', function() {
            return $this->model
                        ->active()
                        ->notExpired()
                        ->take(3)
                        ->get();
        });
    }
}
