<?php

namespace App\Repositories;

use App\Models\Category;
use EscapeWork\LaravelSteroids\Repository;

class CategoryRepository extends Repository
{

    public function __construct(Category $model)
    {
        $this->setModel($model);
    }

    public function create(array $data)
    {
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function update($id, array $data)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function destroy($id)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->delete();

        return $this->model;
    }

    public function manager($request)
    {
        $query = $this->model->newQuery();

        if ($request->has('title')) {
            $query->search('title', $request->title);
        }

        return $query->paginate();
    }

    public function plans_0800()
    {

        $query = $this->model->newQuery();
        $query->where('title', 'LIKE', '%0800%');
        $item = $query->first();

        if(!$item)
        {
          return [];
        }

        return $item->benefits;
    }

    public function findOrFailBySlug($slug)
    {
        if (! $category = $this->model->where('slug', '=', $slug)->first()) {
            abort(404);
        }

        return $category;
    }

    public function aditionals()
    {
        return $this->model
                    ->active()
                    ->where("show", 1)
                    ->get();
    }

    public function actives()
    {
        return $this->model
                    ->active()
                    ->get();
    }
}
