<?php

namespace App\Repositories;

use App\Models\Contact;
use EscapeWork\LaravelSteroids\Repository;

class ContactRepository extends Repository
{

    public function __construct(Contact $model)
    {
        $this->model = $model;
    }

    public function manager($request)
    {
        $query = $this->model->newQuery();

        if ($request->has('name')) {
            $query->search('name', $request->name);
        }

        if ($request->has('city')) {
            $query->search('city', $request->city);
        }

        return $query->orderBy('created_at', 'desc')
                     ->paginate();
    }

    public function budgets($request)
    {
        $query = $this->model->newQuery();

        if ($request->has('name')) {
            $query->search('name', $request->name);
        }

        if ($request->has('city')) {
            $query->search('city', $request->city);
        }

        $query->where('interest','orçamento');

        return $query->orderBy('created_at', 'desc')
                     ->paginate();
    }

    public function filter($request, $interest)
    {
        $query = $this->model->newQuery();

        if ($request->has('name')) {
            $query->search('name', $request->name);
        }

        if ($request->has('city')) {
            $query->search('city', $request->city);
        }

        $query->where('interest',$interest);

        return $query->orderBy('created_at', 'desc')
                     ->paginate();
    }

    public function contacts($request)
    {
        $query = $this->model->newQuery();

        if ($request->has('name')) {
            $query->search('name', $request->name);
        }

        if ($request->has('city')) {
            $query->search('city', $request->city);
        }

        $query->where('interest','!=','orçamento');

        return $query->orderBy('created_at', 'desc')
                     ->paginate();
    }
}
