<?php

namespace App\Repositories;

use App\Models\Info;
use EscapeWork\LaravelSteroids\Repository;
use Illuminate\Support\Facades\Cache;

class InfoRepository extends Repository
{

    public function __construct(Info $model)
    {
        $this->model = $model;
    }

    public function allCached()
    {
        return Cache::rememberForever('infos.all', function() {
            return $this->model->all();
        });
    }
}
