<?php

namespace App\Repositories;

use App\Models\NewsCategory;
use EscapeWork\LaravelSteroids\Repository;

class NewsCategoryRepository extends Repository
{

    public function __construct(NewsCategory $model)
    {
        $this->setModel($model);
    }

    public function create(array $data)
    {
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function update($id, array $data)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function destroy($id)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->delete();

        return $this->model;
    }

    public function manager($request)
    {
        $query = $this->model->newQuery();

        if ($request->has('title')) {
            $query->search('title', $request->title);
        }

        return $query->orderBy('created_at', 'desc')
                     ->paginate();
    }

    public function actives()
    {
        $query = $this->model->newQuery();
        $query->where('active', 1);

        return $query->get();
    }

    public function findOrFailBySlug($slug)
    {
        if (! $category = $this->model->where('slug', '=', $slug)->first()) {
            abort(404);
        }

        return $category;
    }
}
