<?php

namespace App\Repositories;

use App\Models\Partner;
use EscapeWork\LaravelSteroids\Repository;

class PartnerRepository extends Repository
{

    public function __construct(Partner $partner)
    {
        $this->setModel($partner);
    }

    public function create(array $data)
    {
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function update($id, array $data)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function destroy($id)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->delete();

        return $this->model;
    }

    public function manager($request)
    {
        $query = $this->model->newQuery();

        // if ($request->has('title')) {
        //     $query->search('title', $request->title);
        // }

        return $query->orderBy('order')
                     ->paginate();
    }

    public function uploadPicture($picture)
    {
        if ($picture) {
            $this->model->uploadSingleMedia($picture, 'picture');
            $this->model->save();
        }
    }

    public function actives()
    {
        return $this->model
                    ->get();
    }

}
