<?php

namespace App\Repositories\Services;

use App\Models\Services\Benefit;
use EscapeWork\LaravelSteroids\Repository;

class BenefitRepository extends Repository
{

    public function __construct(Benefit $model)
    {
        $this->setModel($model);
    }

    public function create(array $data)
    {
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function update($id, array $data)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function destroy($id)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->delete();

        return $this->model;
    }

    public function manager($model, $request)
    {
        $query = $this->model->newQuery();

        // if ($request->has('title')) {
        //     $query->search('title', $request->title);
        // }

        return $query
            ->where('model_id', $model->id)
            ->where('model', get_class($model))
            ->paginate();
    }

    public function all()
    {
        return $this->model
            ->where('active', 1)
            ->get();
    }
}
