<?php

namespace App\Repositories;

use App\Models\Subscriber;
use EscapeWork\LaravelSteroids\Repository;

class SubscriberRepository extends Repository
{

    public function __construct(Subscriber $model)
    {
        $this->model = $model;
    }

    public function manager($request)
    {
        $query = $this->model
                      ->select('subscribers.*')
                      ->distinct()
                      ->joinGroups();

        if ($request->has('name')) {
            $query->search('name', $request->name);
        }

        if ($request->has('email')) {
            $query->search('email', $request->email);
        }

        if ($request->has('group_id')) {
            $query->where('subscriber_groups.group_id', '=', $request->group_id);
        }

        return $query->orderBy('created_at', 'desc')
                     ->paginate();
    }

    public function latest()
    {
        $date = Carbon::now()->subDay();

        return $this->model
                    ->where('updated_at', '>=', $date->format('Y-m-d H:i:s'))
                    ->get();
    }
}
