<?php

namespace App\Repositories;

use App\Models\Testimonial;
use Illuminate\Support\Facades\Cache;
use EscapeWork\LaravelSteroids\Repository;

class TestimonialRepository extends Repository
{

    public function __construct(Testimonial $testimonial)
    {
        $this->setModel($testimonial);
    }

    public function create(array $data)
    {
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function update($id, array $data)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function destroy($id)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->delete();

        return $this->model;
    }

    public function manager($request)
    {
        $query = $this->model->newQuery();

        // if ($request->has('title')) {
        //     $query->search('title', $request->title);
        // }

        return $query->orderBy('created_at', 'desc')
                     ->paginate();
    }

    public function all()
    {
        return Cache::rememberForever('testimonials.all', function() {
            return $this->model->get();
        });
    }
}
