<?php

namespace App\Repositories;

use App\Models\Vacantjob;
use EscapeWork\LaravelSteroids\Repository;
use Illuminate\Http\Request;

class VacantjobRepository extends Repository
{

    public function __construct(Vacantjob $vacantjob)
    {
        $this->setModel($vacantjob);
    }

    public function create(array $data)
    {
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function update($id, array $data)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->fill($data);
        $this->model->save();

        return $this->model;
    }

    public function destroy($id)
    {
        $this->model = $this->model->findOrFail($id);
        $this->model->delete();

        return $this->model;
    }

    public function manager($request)
    {
        $query = $this->model->newQuery();

        // if ($request->has('title')) {
        //     $query->search('title', $request->title);
        // }

        return $query->orderBy('created_at', 'desc')
            ->paginate();
    }

    public function all()
    {
        $query = $this->model->newQuery();

        return $query
            ->where('active', 1)
            ->orderBy('created_at', 'desc')
            ->get();
    }
}
