<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePaymentsTables extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payments', function(Blueprint $table) {
            $table->increments('id');
            $table->string('model');
            $table->integer('model_id')->unsigned();
            $table->string('type')->nullable();
            $table->string('code')->nullable();
            $table->string('status')->nullable();
            $table->timestamps();
        });

        Schema::create('payment_transactions', function(Blueprint $table) {
            $table->integer('payment_id')->unsigned();
            $table->string('code')->nullable();
            $table->string('status')->nullable();
            $table->string('obs')->nullable();
            $table->timestamps();

            $table->foreign('payment_id')->references('id')->on('payments')
                  ->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payment_transactions');
        Schema::dropIfExists('payments');
    }
}
