<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddNewFieldsToPaymentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('payments', function (Blueprint $table) {
            $table->string('card_type')->nullable()->default(null)->after('code');
            $table->string('card_first6')->nullable()->default(null)->after('code');
            $table->integer('installments')->nullable()->default(null)->after('code');
            $table->double('price', 8, 2)->nullable()->default(null)->after('code');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('payments', function (Blueprint $table) {
            $table->dropColumn('card_first6');
            $table->dropColumn('card_type');
            $table->dropColumn('installments');
            $table->dropColumn('price');
        });
    }
}
