<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AlterOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if(!Schema::hasColumn('orders', 'observation')) {
            Schema::table('orders', function(Blueprint $table){
                $table->text('observation')
                      ->nullable()
                      ->after('total');
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        if(Schema::hasColumn('orders', 'observation')) {
            Schema::table('orders', function(Blueprint $table){
                $table->dropColumn('observation');
            });
        }
    }
}
