<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSubscribersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('subscribers', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name')->nullable();
            $table->string('email')->unique();
            $table->string('city')->nullable();
            $table->string('state')->nullable();
            $table->nullableTimestamps();
        });

        Schema::create('subscribers_groups', function (Blueprint $table) {
            $table->increments('id');
            $table->string('title');
        });

        Schema::create('subscriber_groups', function (Blueprint $table) {
            $table->integer('subscriber_id')->unsigned();
            $table->integer('group_id')->unsigned();

            $table->foreign('subscriber_id')->references('id')->on('subscribers')
                  ->onDelete('cascade')->onUpdate('cascade');

            $table->foreign('group_id')->references('id')->on('subscribers_groups')
                  ->onDelete('cascade')->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('subscriber_groups');
        Schema::drop('subscribers_groups');
        Schema::drop('subscribers');
    }
}
