<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBannersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('banners', function(Blueprint $table) {
            $table->increments('id');
            $table->string('type', 50);
            $table->string('title');
            $table->string('subtitle')->nullable();
            $table->string('button_text')->nullable();
            $table->text('description')->nullable();
            $table->string('link')->nullable();
            $table->string('banner')->nullable();
            $table->string('banner_mobile')->nullable();
            $table->string('banner_cover')->nullable();
            $table->boolean('active')->default(1);
            $table->integer('order')->nullable();
            $table->date('expire_at')->nullable()->default(null);
            $table->nullableTimestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('banners');
    }
}
