<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInfosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('infos', function (Blueprint $table) {
            $table->increments('id');
            $table->string('key');
            $table->string('title');
            $table->string('type')->nullable();
            $table->text('value')->nullable();
            $table->string('extra')->nullable();
            $table->boolean('editable')->default(1);
        });

        // basic info
        \DB::table('infos')->insert([
          'key' => 'whatsapp',
          'title' => 'Número WhatsApp',
          'type' => 'string'
        ]);

        // basic info
        \DB::table('infos')->insert([
          'key' => 'phone',
          'title' => 'Número Telefone',
          'type' => 'string'
        ]);

        \DB::table('infos')->insert([
          'key' => 'email',
          'title' => 'E-mail Principal',
          'type' => 'string'
        ]);


         \DB::table('infos')->insert([
          'key' => 'address',
          'title' => 'Endereço',
          'type' => 'text'
        ]);

        \DB::table('infos')->insert([
          'key' => 'facebook',
          'title' => 'Link Facebook',
          'type' => 'string'
        ]);

        \DB::table('infos')->insert([
          'key' => 'instagram',
          'title' => 'Link Instagram',
          'type' => 'string'
        ]);

        \DB::table('infos')->insert([
          'key' => 'linkedin',
          'title' => 'Link Linkedin',
          'type' => 'string'
        ]);

        \DB::table('infos')->insert([
          'key' => 'api_token',
          'title' => 'Last API Token',
          'type' => 'text',
          'editable' => false
        ]);

        \DB::table('infos')->insert([
          'key' => 'terms',
          'title' => 'Termo de Adesão',
          'type' => 'text-html'
        ]);



    }


    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('infos');
    }
}
