<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('categories', function(Blueprint $table) {
            $table->increments('id');
            $table->string('title');
            $table->string('subtitle')->nullable();
            $table->text('description')->nullable()->default(null);
            $table->text('extra_description')->nullable()->default(null);
            $table->decimal('value', 15,2)->nullable();
            $table->string('billing_period')->default('mensal');
            $table->string('picture')->nullable();
            $table->string('banner')->nullable();
            $table->boolean('active')->default(1);
            $table->integer('order')->nullable();
            $table->nullableTimestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('categories');
    }
}
