<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddCompanyToUsers extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
      Schema::table('users', function(Blueprint $table) {
          $table->string('company_name')->nullable()->after('name');
          $table->string('segment')->nullable()->after('company_name');
          $table->string('preference')->nullable()->after('segment');
          $table->string('cpf')->nullable()->after('preference');
          $table->string('cnpj')->nullable()->after('cpf');

          $table->string('contact_name')->nullable()->after('cnpj');
          $table->string('contact_email')->nullable()->after('contact_name');
          $table->string('contact_phone')->nullable()->after('contact_email');
          $table->string('contact_birthday')->nullable()->after('contact_phone');
      });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
      Schema::table('users', function(Blueprint $table) {

          $table->dropColumn('contact_name');
          $table->dropColumn('contact_email');
          $table->dropColumn('contact_phone');
          $table->dropColumn('contact_birthday');

          $table->dropColumn('preference');
          $table->dropColumn('segment');
          $table->dropColumn('company_name');
      });
    }
}
