<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddValueToCategories extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
      Schema::table('benefits', function(Blueprint $table) {
          $table->string('value')->nullable()->after('subtitle');
          $table->string('value_aditional')->nullable()->after('value');
          $table->string('value_extra')->nullable()->after('value_aditional');
      });

      Schema::table('categories', function(Blueprint $table) {
          $table->string('type')->nullable()->after('id');
          $table->string('show')->nullable()->after('type')->default(1);
      });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
      Schema::table('benefits', function(Blueprint $table) {
          $table->dropColumn('value');
          $table->dropColumn('value_aditional');
          $table->dropColumn('value_extra');
      });

      Schema::table('categories', function(Blueprint $table) {
          $table->dropColumn('type');
          $table->dropColumn('show');
      });
    }
}
