<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddMoreInfoToCategories extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
      Schema::table('benefits', function(Blueprint $table) {
          $table->text('description')->nullable()->after('title');
          $table->integer('max')->nullable()->after('value_extra');
      });

      Schema::table('services', function(Blueprint $table) {
          $table->integer('free_dids')->nullable()->after('has_cloud')->default(1);
      });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {

      Schema::table('services', function(Blueprint $table) {
          $table->dropColumn('free_dids');
      });

      Schema::table('benefits', function(Blueprint $table) {
          $table->dropColumn('description');
          $table->dropColumn('max');
      });
    }
}
