
window.App = window.App || {};

App.ContactFile = function(form, options, callback) {
    this.fetchElements = function() {
        this.$form   = $(form);
        this.$btn    = this.$form.find('.js-btn-submit');
        this.options = $.extend({conversionLabel: ''}, options);
    };

    this.bindUIEvents = function() {
        this.$form.on('submit', $.proxy(this._onSubmit, this));
    };

    this._onSubmit = function(e) {
        e.preventDefault();
        App.Loader.show();
        this.$btn.prop('disabled', true);
        this.send();
    };

    this.send = function() {
        var _this = this;

        App.Loader.show();
        $(".loader .spinner .progress-bar").html('0%');

        var file = document.getElementById("file");
        if (typeof (file.files) !== "undefined") {
            if(file.files.length > 0){
              var size = parseFloat(file.files[0].size / (1024 * 1024)).toFixed(2); 
              if(size > 5) {
                  App.Messages.error("Por favor selecione um arquivo com até 5MB");
                  App.Loader.hide();
                  _this.$btn.prop('disabled', false);
                  return false;
              } 
            }
            
        } else {
            App.Messages.error('Esse navegador não permite envio de imagens');
            App.Loader.hide();
            _this.$btn.prop('disabled', false);
            return false;
        }

        var formData = new FormData(_this.$form[0]);
        var xhr = new XMLHttpRequest();

        xhr.onreadystatechange = function() {

            if (xhr.readyState == XMLHttpRequest.DONE) {

                _this.$btn.prop('disabled', false);

                var jsonResponse = JSON.parse(xhr.responseText);
                if( typeof jsonResponse.errors != 'undefined'){
                  App.Loader.hide();
                  App.Messages.errors(jsonResponse.errors);
                }else if( typeof jsonResponse.error != 'undefined'){
                  App.Loader.hide();
                  App.Messages.error(jsonResponse.error);
                }else{
                  App.Loader.hide();
                  App.Messages.message(jsonResponse.message);
                  _this.clearForm();

                  // google analytics
                  if (typeof gtag !== 'undefined') {

                      gtag('event', _this.options.conversionAction, {
                          'event_label':  _this.options.conversionLabel,
                          'event_category': _this.options.conversionCategory,
                          'non_interaction': true
                      });
                  }

                  if (typeof callback === 'function') {
                      callback(xhr.responseText);
                  }
                }

                updateRecaptchaToken();
            }
            
            
        }

        xhr.upload.addEventListener("progress", function (event) {
          if (event.lengthComputable) {
              var complete = (event.loaded / event.total * 100 | 0);
              $(".loader .spinner .progress-bar").html(complete + '%');
          }
      });

        // Add any event handlers here...
        xhr.open('POST', _this.$form.prop('action'), true);
        var metas = document.getElementsByTagName('meta');
        for (i=0; i<metas.length; i++) {
            if (metas[i].getAttribute("name") == "csrf-token") {
                xhr.setRequestHeader("X-XSRF-TOKEN", metas[i].getAttribute("content"));
            }
        }
        xhr.setRequestHeader('X-Requested-With','XMLHttpRequest');
        xhr.send(formData);

        return false;

    };

    this.clearForm = function() {
        this.$form.find('.form-control').val('');
        this.$form.find('.custom-file-label').html('Currículo em PDF, DOCX ou DOC (até 5MB)');
        this.$form.find('input[type="checkbox"]').prop("checked", false);
        this.$form.find('input[type="radio"]').prop("checked", false);
    };

    // inits
    this.fetchElements();
    this.bindUIEvents();
};
