<!DOCTYPE html>
<html lang="pt-BR" xmlns="http://www.w3.org/1999/xhtml" xmlns:og="http://opengraphprotocol.org/schema/">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="csrf-token" content="{{ csrf_token() }}">
	<meta property="fb:app_id" content="{{ config('services.facebook.app_id') }}">
	<meta name="author" content="Agência Escape">

	{{-- favicons --}}
	@include('app.inc.favicons')

	@section('seo')
		@include('app.inc.seo', [
			'title'       => 'Checkout | ' .config('app.name'),
			'description' => 'Contratar IPABX Virtual i360',
			'route'       => route('checkout'),
			'image'       => asset('assets/images/social/social.jpg')
		])
	@show

	@section('styles')
		<link rel="stylesheet" type="text/css" href="{{ Asset::v('assets/css/main.css') }}?v=008">
		<link rel="stylesheet" type="text/css" href="{{ Asset::v('assets/css/sections/checkout.css') }}?v=008">
	@show
</head>

<body>
	<div class="main" id="app">
		<div class="container">
			<header class="header-checkout">
				<div class="container-main">
					<h1 class="logo">
						<a href="{{ route('home') }}" class="logo-link" title="{{ config('app.name') }}">
							<img src="{{ asset('assets/images/logos/i360-tenologia-logo.png') }}" alt="{{ config('app.name') }}">
							<span class="logo-text">{{ config('app.name') }} - {{ config('app.title-main') }}</span>
						</a>
					</h1>
					{{-- /logo --}}
				</div>
				{{-- /container-main  --}}
			</header>
			{{-- /header --}}
			<checkout :plan_selected="{{ $service }}"></checkout>

			{{-- /content --}}
		</div>
		{{-- /container --}}
	</div>
	{{-- /main --}}

	@include('app.inc.loader')
	{{-- /loader --}}

	@section('scripts')
		<script type="text/javascript" src="{{ Asset::v('assets/js/app/main.js') }}?v=002"></script>
		<script type="text/javascript" src="{{ Asset::v('assets/js/app/checkout.min.js') }}?v=002"></script>
	@show

	@if (env('RELOAD') == true)
		<script src="http://localhost:35729/livereload.js"></script>
	@endif

	@if (env('TEST_PAGSEGURO') === true)
			<script type="text/javascript" src="https://stc.sandbox.pagseguro.uol.com.br/pagseguro/api/v2/checkout/pagseguro.directpayment.js"></script>
	@else
			<script type="text/javascript" src="https://stc.pagseguro.uol.com.br/pagseguro/api/v2/checkout/pagseguro.directpayment.js"></script>
	@endif
</body>
</html>
