@if ($paginator->hasPages())
<ul class="pagination">
	@if (!$paginator->onFirstPage())
	<li class="page-item custom">
		<a href="{{ $paginator->previousPageUrl() }}" class="page-link" aria-label="Anterior">
			<span aria-hidden="true"><i class="icon far fa-chevron-left"></i></span>
			<span class="sr-only">Anterior</span>
		</a>
	</li>
	@endif

	@foreach ($elements as $element)
		@if (is_string($element))
			<li class="page-item disabled">{{ $element }}</li>
		@endif

		@if (is_array($element))
			@foreach ($element as $page => $url)
				@if ($page == $paginator->currentPage())
					<li class="page-item active"><a class="page-link" href="javascript:void(0);">{{ $page }}</a></li>
				@else
					<li class="page-item"><a class="page-link" href="{{ $url }}">{{ $page }}</a></li>
				@endif
			@endforeach
		@endif
	@endforeach

	@if ($paginator->hasMorePages())
	<li class="page-item custom">
		<a href="{{ $paginator->nextPageUrl() }}" class="page-link" aria-label="Próxima">
			<span aria-hidden="true"><i class="icon far fa-chevron-right"></i></span>
			<span class="sr-only">Próxima</span>
		</a>
	</li>
	@endif
	
</ul>
{{-- /pagination --}}
@endif
