<!DOCTYPE html>
<html lang="pt-BR" xmlns="http://www.w3.org/1999/xhtml" xmlns:og="http://opengraphprotocol.org/schema/">
<head>
	<script type="application/ld+json">
		{
		"@context": "http://schema.org",
		"@type": "WebSite",
		"@id": "{{ config('app.url-main') }}#website",
		"name": "{{ config('app.name') }}",
		"url": "{{ config('app.url-main') }}",
		"sameAs": [
			"{{ config('app.social.facebook') }}",
			"{{ config('app.social.instagram') }}",
			"{{ config('app.social.youtube') }}"
		]
		}
	</script>

	<script type="application/ld+json">
		{
		"@context": "http://schema.org",
		"@type": "LocalBusiness",
		"@id": "{{ config('app.url-main') }}#organization",
		"address": {
			"@type": "PostalAddress",
			"addressLocality": "{{ config('app.address.city') }}",
			"addressRegion": "{{ config('app.address.state') }}",
			"postalCode":"{{ config('app.address.postal-code') }}",
			"streetAddress": "{{ config('app.address.street') }}, {{ config('app.address.number') }}, {{ config('app.address.neighborhood') }}"
		},
		"description": "{{ config('app.description') }}",
		"name": "{{ config('app.name') }}",
		"email":"mailto:{{ config('app.contacts.email') }}",
		"telephone": "{{ config('app.contacts.phone') }}",
		"image": "{{asset('assets/images/social/social.jpg')}}",
		"url": "{{ config('app.url-main') }}",
		"geo": {
		"@type": "GeoCoordinates",
			"latitude": "-29.6930427",
			"longitude": "-51.1323491"
		},
		"sameAs" : [
				"{{ config('app.social.facebook') }}",
				"{{ config('app.social.instagram') }}",
				"{{ config('app.social.youtube') }}"
			]
		}
	</script>

	<meta charset="UTF-8">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="csrf-token" content="{{ csrf_token() }}">
	<meta property="fb:app_id" content="{{ config('services.facebook.app_id') }}">
	<meta name="author" content="Agência Escape">

	{{-- favicons --}}
	@include('app.inc.favicons')

	@section('seo')
		@include('app.inc.seo', [
			'title'       => config('app.name'). ' | ' .config('app.title-main'),
			'description' => config('app.description'),
			'route'       => route('home'),
			'image'       => asset('assets/images/social/social.jpg')
		])
	@show
	<!--link rel="alternate" hreflang="pt-br" href="{{ route('home') }}" /-->

	<script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-4353031565878141"crossorigin="anonymous"></script>

	<!-- Global site tag (gtag.js) - Google Analytics -->
	<script async src="https://www.googletagmanager.com/gtag/js?id=G-HD03JBG1V4"></script>
	<script>
	  window.dataLayer = window.dataLayer || [];
	  function gtag(){dataLayer.push(arguments);}
	  gtag('js', new Date());

	  gtag('config', 'G-HD03JBG1V4');
	  gtag('config', 'UA-218464698-1');
	</script>

	<!-- Google Tag Manager -->
	<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
	new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
	j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
	'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
	})(window,document,'script','dataLayer','GTM-5L4SFJP');</script>
	<!-- End Google Tag Manager -->

	<script src="https://www.googleoptimize.com/optimize.js?id=OPT-TD3CRNR"></script>

	@section('styles')
		<link rel="stylesheet" type="text/css" href="{{ Asset::v('assets/css/main.css') }}?v=007">
	@show
</head>

<body class="cbp-spmenu-push">

	<!-- Google Tag Manager (noscript) -->
	<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-5L4SFJP"
	height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
	<!-- End Google Tag Manager (noscript) -->


	<nav class="cbp-spmenu cbp-spmenu-vertical cbp-spmenu-left" id="menu-sidebar">
		<a class="btn-menu js-btn-menu-responsive" href="javascript:void(0);">
			<span class="btn-bar"></span>
			<span class="btn-bar"></span>
			<span class="btn-bar"></span>
		</a>

		<div class="content-menu-sidebar">
			@include('app.inc.menu')
		</div>
		{{-- /content-menu-sidebar --}}
	</nav>
	{{-- /menu-sidebar --}}

	<div class="main">
		@include('app.inc.header')
		{{-- /header --}}

		<main class="content">
			@yield('content')
		</main>
		{{-- /content --}}

		@include('app.inc.footer')
		{{-- /footer --}}
	</div>
	{{-- /main --}}

	@include('app.inc.loader')
	{{-- /loader --}}

	<div class="block-contacts-fixed panel-contact text-center text-lg-left">
		<ul class="contacts-main">
			<li class="contacts-main-item">
				<a href="@if (isset( $page ) && $page == 'home') {{ route('solution') }}#section-plans @else {{ route('solution') }}#section-plans @endif" class="contacts-main-link @if (isset( $page ) && $page == 'solution') btn-anchor @endif" title="Veja todos os nossos planos">
					<span class="table">
						<span class="centraliza text-center text-lg-left">
							<span class="block-icon">
								<svg class="icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 34.07 34.07"><defs></defs><rect class="cls-1" x="0.75" y="0.75" width="14.08" height="14.08" rx="1.89"/><rect class="cls-1" x="19.24" y="0.75" width="14.08" height="14.08" rx="1.89"/><rect class="cls-1" x="0.75" y="19.24" width="14.08" height="14.08" rx="1.89"/><rect class="cls-1" x="19.24" y="19.24" width="14.08" height="14.08" rx="1.89"/></svg>
							</span>

							<span class="text">
								Veja todos os<br/> <strong>nossos planos</strong>
							</span>
						</span>
					</span>
				</a>
			</li>

			<li class="contacts-main-item">
				<a href="https://wa.me/+55{{ $infos->from('whatsapp')->present->number }}" class="contacts-main-link green" title="" target="_blank">
					<span class="table">
						<span class="centraliza text-center text-lg-left">
							<span class="block-icon">
								<svg class="icon icon-whats" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 28 28"><defs></defs><path class="cls-1" d="M1680.09,471a13,13,0,0,0-10.21,20.93l-.87,4.46,4.21-1.45a13,13,0,1,0,6.87-23.94Z" transform="translate(-1666.09 -469.96)"/><path class="cls-2" d="M1680.09,498a14,14,0,0,1-7-1.88l-5.45,1.88,1.12-5.78a13.82,13.82,0,0,1-2.68-8.22,14,14,0,1,1,14,14Zm-6.73-4.17.42.26a11.8,11.8,0,0,0,6.31,1.83A11.92,11.92,0,1,0,1668.17,484a11.8,11.8,0,0,0,2.53,7.32l.29.38-.61,3.15Z" transform="translate(-1666.09 -469.96)"/><path class="cls-2" d="M1673,478.58s.82-1.44,1.49-1.52,1.53-.08,1.76.36,1.28,3,1.28,3a1,1,0,0,1-.1.86,8.53,8.53,0,0,1-.89,1,.76.76,0,0,0,0,.9,16.06,16.06,0,0,0,2,2.42,10.74,10.74,0,0,0,3.2,1.88.64.64,0,0,0,.49-.15c.19-.19,1.23-1.49,1.23-1.49a.74.74,0,0,1,.89-.18c.56.25,3,1.45,3,1.45a.51.51,0,0,1,.28.52,3.32,3.32,0,0,1-.53,1.82,4.16,4.16,0,0,1-2.91,1.43,12.94,12.94,0,0,1-7.17-3.21c-2-2-3.69-3.94-4.1-5.75S1672.51,479.32,1673,478.58Z" transform="translate(-1666.09 -469.96)"/></svg>
							</span>

							<span class="text">
								Fale com<br/> <strong>um atendente</strong>
							</span>
						</span>
					</span>
				</a>
			</li>
		</ul>
		{{-- /contacts-main --}}
	</div>
	{{-- /block-contacts-fixed --}}

	<div class="modal fade" id="modal-partner" tabindex="-1" role="dialog" aria-labelledby="modal-partner-title" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="modal-partner-title">Quero ser um parceiro i360</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="table">
							<span class="centraliza">x</span>
						</span>
					</button>
				</div>
				{{-- /modal-header --}}

				<div class="modal-body">
					<div class="modal-content-main">
						<form action="{{ route('contact.send') }}" method="post" class="form js-form-partner">
							{{ csrf_field() }}
							{!! Honeypot::generate('honeyform', 'honeyform_time') !!}

							<div class="form-group">
								<label class="custom-radio custom mb-0">Pessoa Física
									<input type="radio" checked="checked" name="type" id="pessoa_fisica" value="1">
									<span class="checkmark"></span>
								</label>

								<label class="custom-radio custom mb-0 ml-2">Pessoa Jurídica
									<input type="radio" name="type" id="pessoa_juridica" value="2">
									<span class="checkmark"></span>
								</label>
							</div>

							<div class="form-group  mt-3">
								<label class="sr-only" for="name">Nome/Razão Social</label>
								<input type="text" name="name" class="form-control" placeholder="Nome/Razão Social" required>
							</div>

							<div class="form-group">
								<label class="sr-only" for="document">CPF/CNPJ</label>
								<input type="text" name="document" class="form-control" placeholder="CPF/CNPJ" data-cpf-cnpj required>
							</div>

							<div class="row row-form">
								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="email">E-mail</label>
										<input type="email" name="email" class="form-control" placeholder="E-mail" required>
									</div>
								</div>
								{{-- /col --}}

								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="phone">Telefone</label>
										<input type="tel" name="phone" class="form-control" placeholder="Telefone" data-phone required>
									</div>
								</div>
							</div>
							{{-- /row --}}

							<div class="row row-form">
								<div class="col-lg-6 col-form">
									<div class="form-group">
										<select class="selectpicker" name="state" data-width="100%" data-size="8" data-actions-box="false" data-live-search="true" title="Estado" required>
											<option value="AC">AC</option>
											<option value="AL">AL</option>
											<option value="AP">AP</option>
											<option value="AM">AM</option>
											<option value="BA">BA</option>
											<option value="CE">CE</option>
											<option value="DF">DF</option>
											<option value="ES">ES</option>
											<option value="GO">GO</option>
											<option value="MA">MA</option>
											<option value="MT">MT</option>
											<option value="MS">MS</option>
											<option value="MG">MG</option>
											<option value="PA">PA</option>
											<option value="PB">PB</option>
											<option value="PR">PR</option>
											<option value="PE">PE</option>
											<option value="PI">PI</option>
											<option value="RJ">RJ</option>
											<option value="RN">RN</option>
											<option value="RS">RS</option>
											<option value="RO">RO</option>
											<option value="RR">RR</option>
											<option value="SC">SC</option>
											<option value="SP">SP</option>
											<option value="SE">SE</option>
											<option value="TO">TO</option>
										</select>
									</div>
								</div>
								{{-- /col --}}

								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="city">Cidade</label>
										<input type="text" name="city" class="form-control" placeholder="Cidade" required>
									</div>
								</div>
							</div>
							{{-- /row --}}

							<div class="row row-form">
								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="clients">Quantos clientes ativos</label>
										<input type="text" name="clients" class="form-control" placeholder="Quantos clientes ativos" required>
									</div>
								</div>
								{{-- /col --}}

								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="ramais">Quantos ramais no total</label>
										<input type="text" name="ramais" class="form-control" placeholder="Quantos ramais no total" required>
									</div>
								</div>
							</div>
							{{-- /row --}}

							<div class="form-group">
								<select class="selectpicker" name="contact" data-width="100%" data-actions-box="false" title="Preferência de contato" required>
									<option value="WhatsApp">WhatsApp</option>
									<option value="E-mail">E-mail</option>
									<option value="Ligação">Ligação</option>
								</select>
							</div>

							<div class="form-group mt-3">
								<label class="custom-checkbox mb-0">Autorizo receber conteúdos e campanhas por e-mail
									<input type="checkbox" name="authorize" id="authorize" value="1" tabindex="1">
									<span class="checkmark"></span>
								</label>
							</div>

							<input type="hidden" name="recaptcha-token" class="recaptcha-token" required/>
							<input type="hidden" name="interest" value="partner" />
							<input type="hidden" name="interest_title" value="Quero ser um parceiro" />

							<div class="form-group form-group-actions text-right mt-4">
								<button type="submit" class="btn btn-primary js-btn-submit" title="Enviar">Enviar</button>
							</div>
						</form>
						{{-- /form --}}
					</div>
					{{-- /modal-content-main --}}
				</div>
				{{-- /modal-body --}}
			</div>
			{{-- /modal-content --}}
		</div>
		{{-- /modal-dialog --}}
	</div>
	{{-- /modal --}}

	<div class="modal fade" id="modal-affiliates" tabindex="-1" role="dialog" aria-labelledby="modal-affiliates-title" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="modal-affiliates-title">Quero ser um afiliado i360</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="table">
							<span class="centraliza">x</span>
						</span>
					</button>
				</div>
				{{-- /modal-header --}}

				<div class="modal-body">
					<div class="modal-content-main">
						<form action="{{ route('contact.send') }}" method="post" class="form js-form-affiliate">
							{{ csrf_field() }}
							{!! Honeypot::generate('honeyform', 'honeyform_time') !!}

							<div class="form-group">
								<label class="custom-radio custom mb-0">Pessoa Física
									<input type="radio" checked="checked" name="type" id="pessoa_fisica" value="1">
									<span class="checkmark"></span>
								</label>

								<label class="custom-radio custom mb-0 ml-2">Pessoa Jurídica
									<input type="radio" name="type" id="pessoa_juridica" value="2">
									<span class="checkmark"></span>
								</label>
							</div>

							<div class="form-group  mt-3">
								<label class="sr-only" for="name">Nome/Razão Social</label>
								<input type="text" name="name" class="form-control" placeholder="Nome/Razão Social" required>
							</div>

							<div class="form-group">
								<label class="sr-only" for="document">CPF/CNPJ</label>
								<input type="text" name="document" class="form-control" placeholder="CPF/CNPJ" data-cpf-cnpj>
							</div>

							<div class="row row-form">
								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="email">E-mail</label>
										<input type="email" name="email" class="form-control" placeholder="E-mail">
									</div>
								</div>
								{{-- /col --}}

								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="phone">Telefone</label>
										<input type="tel" name="phone" class="form-control" placeholder="Telefone" data-phone>
									</div>
								</div>
							</div>
							{{-- /row --}}

							<div class="row row-form">
								<div class="col-lg-6 col-form">
									<div class="form-group">
										<select class="selectpicker" name="state" data-width="100%" data-size="8" data-actions-box="false" data-live-search="true" title="Estado">
											<option value="AC">AC</option>
											<option value="AL">AL</option>
											<option value="AP">AP</option>
											<option value="AM">AM</option>
											<option value="BA">BA</option>
											<option value="CE">CE</option>
											<option value="DF">DF</option>
											<option value="ES">ES</option>
											<option value="GO">GO</option>
											<option value="MA">MA</option>
											<option value="MT">MT</option>
											<option value="MS">MS</option>
											<option value="MG">MG</option>
											<option value="PA">PA</option>
											<option value="PB">PB</option>
											<option value="PR">PR</option>
											<option value="PE">PE</option>
											<option value="PI">PI</option>
											<option value="RJ">RJ</option>
											<option value="RN">RN</option>
											<option value="RS">RS</option>
											<option value="RO">RO</option>
											<option value="RR">RR</option>
											<option value="SC">SC</option>
											<option value="SP">SP</option>
											<option value="SE">SE</option>
											<option value="TO">TO</option>
										</select>
									</div>
								</div>
								{{-- /col --}}

								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="city">Cidade</label>
										<input type="text" name="city" class="form-control" placeholder="Cidade">
									</div>
								</div>
							</div>
							{{-- /row --}}

							<div class="row row-form">
								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="clients">Quantos clientes ativos</label>
										<input type="text" name="clients" class="form-control" placeholder="Quantos clientes ativos">
									</div>
								</div>
								{{-- /col --}}

								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="ramais">Quantos ramais no total</label>
										<input type="text" name="ramais" class="form-control" placeholder="Quantos ramais no total">
									</div>
								</div>
							</div>
							{{-- /row --}}

							<div class="form-group">
								<select class="selectpicker" name="contact" data-width="100%" data-actions-box="false" title="Preferência de contato">
									<option value="WhatsApp">WhatsApp</option>
									<option value="E-mail">E-mail</option>
									<option value="Ligação">Ligação</option>
								</select>
							</div>

							<div class="form-group mt-3">
								<label class="custom-checkbox mb-0">Autorizo receber conteúdos e campanhas por e-mail
									<input type="checkbox" name="authorize" id="authorize" value="1" tabindex="1">
									<span class="checkmark"></span>
								</label>
							</div>

							<input type="hidden" name="recaptcha-token" class="recaptcha-token" />
							<input type="hidden" name="interest" value="affiliate" />
							<input type="hidden" name="interest_title" value="Quero ser um afiliado" />

							<div class="form-group form-group-actions text-right mt-4">
								<button type="submit" class="btn btn-primary js-btn-submit" title="Enviar">Enviar</button>
							</div>
						</form>
						{{-- /form --}}
					</div>
					{{-- /modal-content-main --}}
				</div>
				{{-- /modal-body --}}
			</div>
			{{-- /modal-content --}}
		</div>
		{{-- /modal-dialog --}}
	</div>
	{{-- /modal --}}

	<div class="modal fade" id="modal-change-plan" tabindex="-1" role="dialog" aria-labelledby="modal-partner-title" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="modal-partner-title">Quero alterar meu plano</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="table">
							<span class="centraliza">x</span>
						</span>
					</button>
				</div>
				{{-- /modal-header --}}

				<div class="modal-body">
					<div class="modal-content-main">
						<form action="{{ route('contact.send') }}" method="post" class="form js-form-change">
							{{ csrf_field() }}
							{!! Honeypot::generate('honeyform', 'honeyform_time') !!}

							<div class="form-group">
								<label class="custom-radio custom mb-0">Pessoa Física
									<input type="radio" checked="checked" name="type" id="pessoa_fisica" value="1">
									<span class="checkmark"></span>
								</label>

								<label class="custom-radio custom mb-0 ml-2">Pessoa Jurídica
									<input type="radio" name="type" id="pessoa_juridica" value="2">
									<span class="checkmark"></span>
								</label>
							</div>

							<div class="form-group  mt-3">
								<label class="sr-only" for="name">Nome/Razão Social</label>
								<input type="text" name="name" class="form-control" placeholder="Nome/Razão Social" required>
							</div>

							<div class="form-group">
								<label class="sr-only" for="document">CPF/CNPJ</label>
								<input type="text" name="document" class="form-control" placeholder="CPF/CNPJ" data-cpf-cnpj>
							</div>

							<div class="row row-form">
								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="email">E-mail</label>
										<input type="email" name="email" class="form-control" placeholder="E-mail">
									</div>
								</div>
								{{-- /col --}}

								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="phone">Telefone</label>
										<input type="tel" name="phone" class="form-control" placeholder="Telefone" data-phone>
									</div>
								</div>
							</div>
							{{-- /row --}}

							<div class="form-group">
								<select class="selectpicker" name="contact" data-width="100%" data-actions-box="false" title="Preferência de contato">
									<option value="WhatsApp">WhatsApp</option>
									<option value="E-mail">E-mail</option>
									<option value="Ligação">Ligação</option>
								</select>
							</div>

							<div class="form-group">
								<label class="sr-only" for="msg">Mensagem</label>
								<textarea name="msg" id="msg" class="form-control textarea" placeholder="Mensagem"></textarea>
							</div>

							<input type="hidden" name="recaptcha-token" class="recaptcha-token" />
							<input type="hidden" name="interest" value="change" />
							<input type="hidden" name="interest_title" value="Alteração de Plano" />

							<div class="form-group form-group-actions text-right mt-4">
								<button type="submit" class="btn btn-primary js-btn-submit" title="Enviar">Enviar</button>
							</div>
						</form>
						{{-- /form --}}
					</div>
					{{-- /modal-content-main --}}
				</div>
				{{-- /modal-body --}}
			</div>
			{{-- /modal-content --}}
		</div>
		{{-- /modal-dialog --}}
	</div>
	{{-- /modal --}}

	<div class="modal fade" id="modal-cancel-plan" tabindex="-1" role="dialog" aria-labelledby="modal-partner-title" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="modal-partner-title">Quero cancelar meu plano</h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="table">
							<span class="centraliza">x</span>
						</span>
					</button>
				</div>
				{{-- /modal-header --}}

				<div class="modal-body">
					<div class="modal-content-main">
						<form action="{{ route('contact.send') }}" method="post" class="form js-form-cancel">
							{{ csrf_field() }}
							{!! Honeypot::generate('honeyform', 'honeyform_time') !!}

							<div class="form-group">
								<label class="custom-radio custom mb-0">Pessoa Física
									<input type="radio" checked="checked" name="type" id="pessoa_fisica" value="1">
									<span class="checkmark"></span>
								</label>

								<label class="custom-radio custom mb-0 ml-2">Pessoa Jurídica
									<input type="radio" name="type" id="pessoa_juridica" value="2">
									<span class="checkmark"></span>
								</label>
							</div>

							<div class="form-group  mt-3">
								<label class="sr-only" for="name">Nome/Razão Social</label>
								<input type="text" name="name" class="form-control" placeholder="Nome/Razão Social" required>
							</div>

							<div class="form-group">
								<label class="sr-only" for="document">CPF/CNPJ</label>
								<input type="text" name="document" class="form-control" placeholder="CPF/CNPJ" data-cpf-cnpj>
							</div>

							<div class="row row-form">
								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="email">E-mail</label>
										<input type="email" name="email" class="form-control" placeholder="E-mail">
									</div>
								</div>
								{{-- /col --}}

								<div class="col-lg-6 col-form">
									<div class="form-group">
										<label class="sr-only" for="phone">Telefone</label>
										<input type="tel" name="phone" class="form-control" placeholder="Telefone" data-phone>
									</div>
								</div>
							</div>
							{{-- /row --}}

							<div class="form-group">
								<select class="selectpicker" name="contact" data-width="100%" data-actions-box="false" title="Preferência de contato">
									<option value="WhatsApp">WhatsApp</option>
									<option value="E-mail">E-mail</option>
									<option value="Ligação">Ligação</option>
								</select>
							</div>

							<div class="form-group">
								<label class="sr-only" for="msg">Mensagem</label>
								<textarea name="msg" id="msg" class="form-control textarea" placeholder="Mensagem"></textarea>
							</div>

							<input type="hidden" name="recaptcha-token" class="recaptcha-token" />
							<input type="hidden" name="interest" value="cancel" />
							<input type="hidden" name="interest_title" value="Cancelamento de Plano" />

							<div class="form-group form-group-actions text-right mt-4">
								<button type="submit" class="btn btn-primary js-btn-submit" title="Enviar">Enviar</button>
							</div>
						</form>
						{{-- /form --}}
					</div>
					{{-- /modal-content-main --}}
				</div>
				{{-- /modal-body --}}
			</div>
			{{-- /modal-content --}}
		</div>
		{{-- /modal-dialog --}}
	</div>
	{{-- /modal --}}

	@section('scripts')
		<script type="text/javascript" src="{{ Asset::v('assets/js/app/main.js') }}?v=008"></script>
	@show

	@if (env('RELOAD') == true)
		<script src="http://localhost:35729/livereload.js"></script>
	@endif

	<script>

		setTimeout(function(){
	    var head = document.getElementsByTagName('head')[0];
	    var script = document.createElement('script');
	    script.type = 'text/javascript';
	    script.onload = function() {
	        grecaptcha.ready(function() {
	            grecaptcha.execute('{{ config('recaptcha.sitekey') }}', {action: 'contact'}).then(function(token) {
	               	$(".recaptcha-token").val(token);
	            });
	        });
	    }
	    script.src = "https://www.google.com/recaptcha/api.js?render={{ config('recaptcha.sitekey') }}";
	    head.appendChild(script);
	 	}, 2000);

		@if(session()->has('message'))
		swal({
				title: '',
				text: '{{ session()->get('message') }}',
				type: 'success'
		});
		@endif

		function updateRecaptchaToken() {
			grecaptcha.execute("{{ config('recaptcha.sitekey') }}", {
					action: "contact"
			}).then(function(a) {
					$(".recaptcha-token").val(a);
			});
		};

	</script>

</body>
</html>
