<section id="section-contact" class="section section-contact">
	<div class="container">
		<div class="section-content">
			<div class="row row-blocks">
				<div class="col-lg-6 col-blocks align-self-center">
					<div class="block-infos">
						<h3 class="section-title white mb-0">
							Ficou com<br/> alguma dúvida?<br/> <span class="text">Entre em contato</span>
						</h3>
					</div>
					{{-- /block-infos --}}
				</div>
				{{-- /col --}}

				<div class="col-lg-6 col-blocks align-self-center mt-4 mt-lg-0">
					<form action="{{ route('contact.send') }}" method="post" class="form js-form-contact">
						{{ csrf_field() }}
						{!! Honeypot::generate('honeyform', 'honeyform_time') !!}

						<div class="form-group">
							<label class="sr-only" for="name">Nome</label>
							<input type="text" name="name" class="form-control" placeholder="Nome" required>
						</div>

						<div class="row row-form">
							<div class="col-lg-6 col-form">
								<div class="form-group">
									<label class="sr-only" for="email">E-mail</label>
									<input type="email" name="email" class="form-control" placeholder="E-mail" required>
								</div>
							</div>
							{{-- /col --}}

							<div class="col-lg-6 col-form">
								<div class="form-group">
									<label class="sr-only" for="phone">Telefone</label>
									<input type="tel" name="phone" class="form-control" placeholder="Telefone" data-phone required>
								</div>
							</div>
						</div>
						{{-- /row --}}

						<div class="row row-form">
							<div class="col-lg-6 col-form">
								<div class="form-group">
									<select class="selectpicker" name="state" data-width="100%" data-size="8" data-actions-box="false" data-live-search="true" title="Estado" required>
										<option value="AC">AC</option>
										<option value="AL">AL</option>
										<option value="AP">AP</option>
										<option value="AM">AM</option>
										<option value="BA">BA</option>
										<option value="CE">CE</option>
										<option value="DF">DF</option>
										<option value="ES">ES</option>
										<option value="GO">GO</option>
										<option value="MA">MA</option>
										<option value="MT">MT</option>
										<option value="MS">MS</option>
										<option value="MG">MG</option>
										<option value="PA">PA</option>
										<option value="PB">PB</option>
										<option value="PR">PR</option>
										<option value="PE">PE</option>
										<option value="PI">PI</option>
										<option value="RJ">RJ</option>
										<option value="RN">RN</option>
										<option value="RS">RS</option>
										<option value="RO">RO</option>
										<option value="RR">RR</option>
										<option value="SC">SC</option>
										<option value="SP">SP</option>
										<option value="SE">SE</option>
										<option value="TO">TO</option>
									</select>
								</div>
							</div>
							{{-- /col --}}

							<div class="col-lg-6 col-form">
								<div class="form-group">
									<label class="sr-only" for="city">Cidade</label>
									<input type="text" name="city" class="form-control" placeholder="Cidade" required>
								</div>
							</div>
						</div>
						{{-- /row --}}

						<div class="form-group">
							<label class="sr-only" for="msg">Mensagem</label>
							<textarea name="msg" id="msg" class="form-control textarea" placeholder="Mensagem"></textarea>
						</div>

						<input type="hidden" name="recaptcha-token" class="recaptcha-token" />
						<input type="hidden" name="interest" value="contact" />
						<input type="hidden" name="interest_title" value="Contato" />

						<div class="form-group form-group-actions text-right">
							<button type="submit" class="btn btn-primary js-btn-submit" title="Enviar Mensagem">Enviar Mensagem</button>
						</div>
					</form>
					{{-- /form --}}
				</div>
				{{-- /col --}}
			</div>
			{{-- /row --}}
		</div>
		{{-- /section-content --}}
	</div>
	{{-- /container --}}
</section>
{{-- /section --}}
