<section id="section-plans" class="section section-plans text-center">
	<div class="container">
		<div class="section-content">
			<h3 class="section-title white"><span class="text">Planos de acordo com</span> a sua necessidade!</h3>

			<p class="d-block d-lg-none plans-help-text">
				Passe para o lado para ver todos os planos oferecidos.
			</p>

			<div class="content-swiper content-swiper-plans">
				<div class="content-swiper-custom">
					<div class="swiper-container swiper-plans">
						<div class="swiper-wrapper">
							@foreach($services as $plan)
							<div class="swiper-slide">
								<div class="block-plan text-left">
									<h3 class="block-plan-title">Plano <strong>{{ $plan->title }}</strong></h3>

									<div class="block-plan-description">
										<p>
											{{ $plan->subtitle }}
										</p>
									</div>
									{{-- /block-plan-description --}}

									<div class="block-plan-price">
										<span class="text-one">R$</span> <span class="text-two">{{ $plan->present->integerValue }}</span><span class="text-three">,{{ $plan->present->cents }}</span>
										<span class="text-help text-right">
											<span>mensal</span>
										</span>

										<svg class="detail" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 10.52 13.13"><defs></defs><polygon class="cls-1" points="10.52 13.13 0 0 10.52 0 10.52 13.13"/></svg>
									</div>
									{{-- /block-plan-price --}}

									<ul class="list-main">
									@foreach($plan->benefits as $benefit)
										<li class="list-main-item">{{ $benefit->title }} @if($benefit->subtitle) <a class="ttp2" href="javascript:void(0);"><span>{{ $benefit->subtitle }}</span><i class="fas fa-question-circle "></i></a> @endif</li>
									@endforeach
									</ul>
									{{-- /list-main --}}

									<a href="{{ route('checkout.plan', $plan->slug) }}" class="btn btn-primary" title="Quero Contratar">Quero Contratar</a>
								</div>
								{{-- /block-plan --}}
							</div>
							{{-- /swiper-slide --}}
							@endforeach

							<!--div class="swiper-slide custom">
								<div class="block-plan custom">
									<div class="table">
										<div class="centraliza">
											<div class="block-plan-description">
												<p>
													Adicione<br/> agora o<br/> <strong>0800</strong> no seu<br/> plano.
												</p>
											</div>
											{{-- /block-plan-description --}}
										</div>
										{{-- /centraliza --}}
									</div>
									{{-- /table --}}

									<a href="javascript:void(0);" class="btn btn-secundary" title="Adicionar">Adicionar</a>
								</div>
								{{-- /block-plan --}}
							</div-->
							{{-- /swiper-slide --}}
						</div>
						{{-- /swiper-wrapper --}}
					</div>
					{{-- /swiper-container --}}
				</div>
				{{-- /content-swiper-custom --}}

				<div class="swiper-button swiper-button-prev swiper-plans-prev d-none d-sm-block"></div>
				<div class="swiper-button swiper-button-next swiper-plans-next d-none d-sm-block"></div>
			</div>
			{{-- /content-swiper --}}

			<div class="content-pagination text-center mt-4 mt-lg-5">
				<div class="swiper-pagination plans-pagination"></div>
			</div>
			{{-- /content-pagination --}}

			<div class="block-know-more">
				<div class="section-description">
					<p>
						Saiba mais consultando nosso canal no Youtube, lá você encontrará dicas e detalhes sobre o iPABX i360.
					</p>
				</div>
				{{-- /section-description --}}

				<a href="https://www.youtube.com/channel/UCeUSNl08CBIoV8BtNDY2OqQ" class="btn btn-secundary" title="Acesse nosso Canal no Youtube" target="_blank">Acesse nosso Canal no Youtube</a>
			</div>
			{{-- /block-know-more --}}
		</div>
		{{-- /section-content --}}
	</div>
	{{-- /container --}}
</section>
{{-- /section --}}
