@extends('app.master')

@section('styles')
	@parent
	<link rel="stylesheet" type="text/css" href="{{ Asset::v('assets/css/sections/order.css') }}">
@stop

@section('content')

	<div class="content-breadcrumb d-none d-lg-block">
		<div class="container">
			<nav aria-label="breadcrumb">
				<ul class="breadcrumb custom">
					<li class="breadcrumb-item">
						<a href="{{ route('home') }}" class="breadcrumb-link" title="Home">Home</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page">Pedidos</li>
				</ul>
				{{-- /breadcrumb --}}
			</nav>
		</div>
		{{-- /container --}}
	</div>
	{{-- /content-breadcrumb --}}

	<section class="section section-pages custom text-center p-0">
		<div class="container">
			<div class="section-content">
				<h2 class="section-title">Detalhes do Pedido #{{ $order->id }}</h2>
			</div>
			{{-- /section-content --}}
		</div>
		{{-- /container --}}
	</section>
	{{-- /section --}}

	<section class="section section-cart pb-2 pt-4">
		<div class="container">

			<div class="container-progressbar">
				<div class="row progressbar">
	          <div class="col-3 {{ $order->present->stepWaiting }}">Pedido<Br>Recebido</div>
	          <div class="col-3 {{ $order->present->stepWaiting }}">Aguardando<Br>Pagamento</div>
	          <div class="col-3 {{ $order->present->stepPaid }}">Pagamento<Br>Confirmado</div>
	          <div class="col-3 {{ $order->present->stepCanceled }}">Pedido<Br>Cancelado</div>
	  		</div>
			</div>
		</div>
	</section>

	<section class="section section-cart pb-2 pt-4">
		<div class="container col-12 col-lg-8 offset-lg-2">

			<div class="section-description">
				<img src="{{ asset('assets/images/email/spacer.png') }}" border="0" width="100%" height="25" alt="">

			  <p style="font-family: 'Roboto', sans-serif; font-size: 20px" face="'Roboto', sans-serif" size="5" color="#000">
			      {{ $order->user->name }},
			  </font>

			  <p src="{{ asset('assets/images/email/spacer.png') }}" border="0" width="100%" height="15" alt="">

				@if($order->status_id == 1)
			  <p>
			      Estamos processando seu pagamento.<br>
						Assim que for confirmado, você receberá um e-mail com instruções e dados de acesso.
			  </p>
				@endif

				@if($order->status_id == 2)
			  <p>
			      Seu pagamento foi processado com sucesso.<br>
						Você receberá um e-mail com instruções e dados de acesso.
			  </p>
				@endif

				@if($order->status_id >= 5)
			  <p>
			      Seu pagamento não foi aprovado.<br>
						Por favor verifique com sua adminstradora de cartão de crédito e tente novamente.
			  </p>
				@endif
			</div>

			<div class="section-description">
			  @include("emails.orders.client.details")
			</div>

		</div>
	</section>

@stop

@section('scripts')
	@parent
	<script src="{{ Asset::v('assets/js/app/home.min.js') }}"></script>
@stop
