@extends('app.master')

@section('seo')
	@include('app.inc.seo', [
		'title'       => 'Trends',
		'description' => 'Fique por dentro das novidades!',
		'route'       => route('trends.index'),
	])
@stop

@section('content')
	<div class="content-breadcrumb d-none d-lg-block">
		<div class="container">
			<nav aria-label="breadcrumb">
				<ul class="breadcrumb custom">
					<li class="breadcrumb-item">
						<a href="{{ route('home') }}" class="breadcrumb-link" title="Home">Home</a>
					</li>
					<li class="breadcrumb-item active" aria-current="page">Trends</li>
				</ul>
				{{-- /breadcrumb --}}
			</nav>
		</div>
		{{-- /container --}}
	</div>
	{{-- /content-breadcrumb --}}

	<section class="section section-trends section-pages custom text-center">
		<div class="container">
			<div class="section-content">
				<h2 class="section-title">Trends</h2>

				<div class="section-description">
					<p>Fique por dentro das novidades!</p>
				</div>
				{{-- /section-description --}}

				<div class="row row-blocks">
					@foreach($listNews as $news)
					<div class="col-6 col-sm-4 col-lg-4 col-blocks">
						@include('app.trends.snippet')
						{{-- /block-trend --}}
					</div>
					{{-- /col --}}
					@endforeach
				</div>
				{{-- /row --}}

				<nav aria-label="Paginação Trends" class="mt-5 pt-3">
					{!! $listNews->links('app.inc.pagination') !!}
					{{-- /pagination --}}
				</nav>
			</div>
			{{-- /section-content --}}
		</div>
		{{-- /container --}}
	</section>
	{{-- /section --}}

	@include('app.modules.section-newsletter')
	{{-- /section --}}

	@include('app.modules.section-contact')
	{{-- /section --}}
@stop
