@extends('emails.orders.manager.master')


@section('content')

  <img src="{{ asset('assets/images/email/spacer.png') }}" border="0" width="100%" height="25" alt="">

  <font style="font-family: sans-serif; font-size: 20px" face="sans-serif" size="5" color="#333">
      O cliente {{ $order->user->name ? $order->user->name : $order->user->company_name }} efetuou um novo pedido.<br>
      Status:  Pagamento Aprovado.
  </font>

  <img src="{{ asset('assets/images/email/spacer.png') }}" border="0" width="100%" height="15" alt="">

  <h5>Dados Pessoais</h5>

  @if($order->user->cpf)
  <strong>Nome: </strong> {{ $order->user->name }}<br>
  <strong>CPF: </strong> {{ $order->user->cpf }}<br>
  @endif

  @if($order->user->cnpj)
  <strong>Razão Social: </strong> {{ $order->user->name }}<br>
  <strong>CNPJ: </strong> {{ $order->user->cnpj }}<br>
  @endif

  <strong>E-mail: </strong> {{ $order->user->email }}<br>
  <strong>Telefone: </strong> {{ $order->user->phone }}<br>
  <strong>Segmento: </strong> {{ $order->user->segment }}<br>

  <h5>Dados de Contato</h5>

  <strong>Nome: </strong> {{ $order->user->contact_name }}<br>
  <strong>E-mail: </strong> {{ $order->user->contact_email }}<br>
  <strong>Telefone: </strong> {{ $order->user->contact_phone }}<br>
  <strong>Data Nascimento: </strong> {{ $order->user->contact_birthday }}<br>
  <strong>Preferência Contato: </strong> {{ $order->user->preference }}<br>

  <h5>Endereço</h5>

  <strong>CEP: </strong> {{ $order->user->postal_code }}<br>
  <strong>Rua: </strong> {{ $order->user->address }}, {{ $order->user->number }} @if($order->user->address_complement) - {{ $order->user->address_complement }} @endif<br>
  <strong>Cidade/UF: </strong> {{ $order->user->city }}/{{ $order->user->state }}<br>

  <h5>Itens do Pedido</h5>

  <table class="table table-bordered table-striped table-hover" width="100%" style="width: 100%">
    <thead>
      <tr>
        <th align="left">Item</th>
        <th align="left">Qte</th>
        <th align="left" width="120">Preço</th>
      </tr>
    </thead>
    <tbody>

      @foreach ($order->items as $item)
      <tr>
        <td>
          <font style="font-family: sans-serif; font-size: 16px" face="sans-serif" size="4" color="#666666">
          {{ $item->description}}<br>
          @if($order->status_id < 5)
            @if($item->description == 'Números Virtuais Inclusos')
              @foreach(json_decode($order->getData('issabel_rocs')) as $did)
              <div class="col-12 col-lg-6"> <small><i class="icon fa fa-arrow-right"></i></small> {{ $did->city }} - ({{ $did->area_code }}) {{ $did->number}}</div>
              @endforeach
              @endif

              @if(strpos($item->description,'0800') > -1)
              @foreach(json_decode($order->getData('issabel_0800')) as $did)
              <div class="col-12 col-lg-6"> <small><i class="icon fa fa-arrow-right"></i></small> {{ $did->number}}</div>
              @endforeach
            @endif
          @endif
          </font>
        </td>
        <td>
            {{ $item->quantity  }}
        </td>
        <td>
            R${{ $item->present->price_total }}
        </td>
      </tr>
      @endforeach
    </tbody>
  </table>

@stop
