@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => ['about']
    ])

    @include('manager::partials.page-header', [
        'title' => 'Páginas',
        'link'  => null
    ])

    @include('manager::partials.messages')

    <div class="table-responsive">
        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th></th>
                    <th width="220">Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($abouts as $about)
                    <tr>
                        <td>{{ $about->title }}</td>
                        <td>
                            <div class="btn-group btn-group-sm">

                                <a href="{{ route('manager.medias.index', ['about', $about->id]) }}" class="btn btn-default" title="Fotos">
                                    <span class="glyphicon glyphicon-camera"></span> fotos
                                </a>

                                <a href="{{ route('manager.awards.index', $about->id) }}" class="btn btn-default" title="Fotos">
                                    <span class="glyphicon glyphicon-eye"></span> certificados
                                </a>

                                <a href="{{ route('manager.abouts.edit', $about->id) }}" class="btn btn-default" title="Editar">
                                    <span class="glyphicon glyphicon-pencil"></span> editar
                                </a>

                                <a href="{{ route('manager.abouts.destroy', $about->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                    <span class="glyphicon glyphicon-trash"></span> excluir
                                </a>
                            </div><!-- .btn-group -->
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table><!-- .table -->
    </div><!-- .table-responsive -->

    @if ($abouts->count() === 0)
        <h3 class="text-center">Sem cadastros até o momento.</h3>
    @endif

    {!! $abouts->appends(request()->except('page'))->render() !!}
@stop
