@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => ['Banners']
    ])

    @include('manager::partials.page-header', [
        'title' => 'Banners',
        'link'  => [
            'route'    => route('manager.banners.create'),
            'label'    => 'Inserir Novo',
            'btn-type' => 'primary',
        ],
    ])

    @include('manager::partials.messages')

    <form action="{{ route('manager.banners.index') }}" class="form-inline well">
        <input type="text" name="title" class="form-control" value="{{ request('title') }}" placeholder="Busca por nome..." maxlength="255" autofocus>

        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('manager.banners.index') }}" class="btn btn-default">Limpar filtros</a>
    </form>

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th width="40"></th>
                <th width="100"></th>
                <th>Título</th>
                <th width="100">Ativo</th>
                <th width="150">Ações</th>
            </tr>
        </thead>
        <tbody data-manager-sortable>
            @foreach ($banners as $banner)
                <tr data-id="{{ $banner->id }}" data-manager-sortable-url="{{ route('manager.banners.updateBasic', $banner->id) }}">
                    <td style="text-align: center; cursor: move; vertical-align: middle;" title="Arraste para alterar a ordem"><i class="fa fa-arrows"></i></td>
                    <td><img src="{{ $banner->present->picture(100, 20, 'crop') }}" alt=""></td>
                    <td>{{ $banner->title }}</td>
                    <td><input type="checkbox" data-id="{{ $banner->id }}" data-manager-update-checkbox="active" data-manager-update-url="{{ route('manager.banners.updateBasic', $banner->id) }}" {{ $banner->active ? 'checked="checked"' : null }}></td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.banners.edit', $banner->id) }}" class="btn btn-default" title="Editar">
                                <span class="glyphicon glyphicon-pencil"></span> editar
                            </a>

                            <a href="{{ route('manager.banners.destroy', $banner->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                <span class="glyphicon glyphicon-trash"></span> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
@stop
