<div class="form-group">
    <label for="title" class="control-label col-sm-2">Título</label>

    <div class="col-sm-8">
        <input type="text" name="title" id="title" class="form-control" value="{{ $category->title }}" maxlength="255" autofocus required>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="show" class="control-label col-sm-2">Mostrar no checkout</label>

    <div class="col-sm-3">
      <select class="form-control" name="show" required>
        <option @if($category->show == 0) selected @endif value="0">Não mostrar</option>
        <option @if($category->show == 1) selected @endif value="1">Mostrar</option>
      </select>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="value" class="control-label col-sm-2">Preço</label>

    <div class="col-sm-8">
        <input type="text" min="0.01" step="0.01" name="value" id="value" class="form-control" value="{{ $category->present->value }}" maxlength="255" data-money>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="billing_period" class="control-label col-sm-2">Recorrência Cobrança</label>

    <div class="col-sm-3">
      <select class="form-control" name="billing_period" required>
        <option @if($category->billing_period == 'none') selected @endif value="none">Não Mostrar</option>
        <option @if($category->billing_period == 'mensal') selected @endif value="mensal">Mensal</option>
        <option @if($category->billing_period == 'demanda') selected @endif value="demanda">Sob Demanda</option>
      </select>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="type" class="control-label col-sm-2">Seletor Quantidade</label>

    <div class="col-sm-3">
      <select class="form-control" name="type" required>
        <option @if($category->type == 0) selected @endif value="0">Não mostrar</option>
        <option @if($category->type == 1) selected @endif value="1">Mostrar</option>
      </select>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="description" class="control-label col-sm-2">Descrição</label>

    <div class="col-sm-8">
        <textarea name="description" id="description" data-editor>{!! $category->description !!}</textarea>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
  <label for="extra_description" class="control-label col-sm-2">Outras Informações</label>

    <div class="col-sm-8">
        <textarea name="extra_description" id="extra_description" data-editor-plus>{!! $category->extra_description !!}</textarea>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-category').on('submit', function(e) {
            $(this).find('.js-btn-submit').button('loading');
        });

        $('[data-editor-plus]').each(function (e) {
            return CKEDITOR.replace($(this).attr('id'), {
                allowedContent: true,
                contentsCss: '{{ asset("assets/css/main.css") }}',
                toolbar: [{ name: 'basicstyles', items: ['Bold', 'Italic'] }, { name: 'links', items: ['Link', 'Unlink'] }, { name: 'paragraph', items: ['NumberedList', 'BulletedList', 'Format'] }, { name: 'source', items: ['Source'] }]
            });
        });
    })();
    </script>
@stop
