@extends(config('manager.views.layouts.master'))

@section('content')

    @include('manager::partials.breadcrumb', [
        'pages' => ['Quero alterar meu plano']
    ])

    <div class="page-header clearfix">
        <h2>Quero alterar meu plano</h2>
    </div>

    <form action="{{ route('manager.changes.index') }}" class="form-inline well">
        <input type="text" name="name" class="form-control" value="{{ request('name') }}" placeholder="Nome..." maxlength="255" autofocus>
        <input type="email" name="email" class="form-control" value="{{ request('email') }}" placeholder="E-mail..." maxlength="255">

        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('manager.changes.index') }}" class="btn btn-default">Limpar filtros</a>
    </form>

    @include('manager::partials.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Nome</th>
                <th>E-mail</th>
                <th>Telefone</th>
                <th>Data</th>
                <th width="150">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($contacts as $contact)
                <tr>
                    <td>{{ $contact->name }}</td>
                    <td>{{ $contact->email }}</td>
                    <td>{{ $contact->phone }}</td>
                    <td>{{ $contact->created_at_formated }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.changes.show', $contact->id) }}" data-show class="btn btn-default" title="Editar">
                                <span class="glyphicon glyphicon-search"></span> ver
                            </a>

                            <a href="{{ route('manager.changes.destroy', $contact->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                <span class="glyphicon glyphicon-trash"></span> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->

    @if ($contacts->count() === 0)
        <h3 class="text-center">Nenhum registro encontrado.</h3>
    @endif

    {!! $contacts->appends(request()->except('page'))->render() !!}


@stop
