@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => [
            route('manager.dids.index') => 'DIDs',
            $did->area_code . $did->number,
            'Editar',
        ]
    ])

    @include('manager::partials.page-header', [
        'title'    => 'DIDs',
        'subtitle' => 'Editar',
        'link'     => [
            'route'    => route('manager.dids.index'),
            'label'    => 'Voltar',
            'btn-type' => 'default',
        ],
    ])

    @include('manager::partials.messages')

    <form action="{{ route('manager.dids.update', $did->id) }}" method="post" id="form-did" class="form-horizontal" enctype="multipart/form-data">
        {{ csrf_field() }}
        {{ method_field('put') }}

        <fieldset>
            @include('manager.dids.fields')
        </fieldset>

        <hr>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="Carregando...">Salvar</button>
                <a href="{{ route('manager.dids.index') }}" class="btn">Cancelar</a>
            </div>
        </div>
    </form>
@stop
