@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => [
            route('manager.downloads.index') => 'Downloads',
            $download->title,
            'Editar'
        ]
    ])

    @include('manager::partials.page-header', [
        'title'    => 'Downloads',
        'subtitle' => 'Editar',
        'link'     => [
            'route'    => route('manager.downloads.index'),
            'label'    => 'Voltar',
            'btn-type' => 'default',
        ],
    ])

    @include('manager::partials.messages')

    <form action="{{ route('manager.downloads.update', $download->id) }}" method="post" id="form-download" class="form-horizontal" enctype="multipart/form-data">
        {{ csrf_field() }}
        {{ method_field('put') }}

        <fieldset>
            @include('manager.downloads.fields')
        </fieldset>

        <hr>

        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-primary js-btn-submit" data-loading-text="Carregando...">Salvar</button>
                <a href="{{ route('manager.downloads.index') }}" class="btn">Cancelar</a>
            </div>
        </div>
    </form>
@stop

@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-download').on('submit', function(e) {
            $(this).find('.js-btn-submit').button('loading');
        });
    })();
    </script>
@stop
