@extends(config('manager.views.layouts.master'))

@section('content')
  @include('manager::partials.breadcrumb', [
  'pages' => [route('manager.services.index' ) => $model->title ,'Itens']
  ])

  <div class="page-header clearfix">
      <h2 class="pull-left">Perguntas <small>{{ $model->title }}</small></h2>

      <div class="pull-right" style="margin-top: 10px;">
          <a href="{{ route('manager.services.index') }}" class="btn btn-default">Voltar</a>
          <a href="{{ route('manager.faqs.services.create', $model->id) }}" class="btn btn-primary">Inserir Novo</a>
      </div><!-- .pull-right -->
  </div><!-- .page-header -->

  @include('manager::partials.messages')

  <div class="table-responsive">
      <table class="table table-bordered table-striped table-hover">
          <thead>
              <tr>
                  <th width="40"></th>
                  <th>Pergunta</th>
                  <th width="100">Ativo</th>
                  <th width="150">Ações</th>
              </tr>
          </thead>
          <tbody data-manager-sortable>
              @foreach ($faqs as $faq)
                <tr data-id="{{ $faq->id }}" data-manager-sortable-url="{{ route('manager.faqs.services.updateBasic', ['model'=> $model->id, 'id' => $faq->id]) }}">
                    <td style="text-align: center; cursor: move; vertical-align: middle;" title="Arraste para alterar a ordem"><i class="fa fa-arrows"></i></td>
                  <td>{{ $faq->question }}</td>
                  <td><input type="checkbox" data-id="{{ $faq->id }}"
                          data-manager-update-checkbox="active"
                          data-manager-update-url="{{ route('manager.faqs.services.updateBasic', ['model'=> $model->id, 'id' => $faq->id]) }}"
                          {{ $faq->active ? 'checked="checked"' : null }}></td>
                  <td>
                      <div class="btn-group btn-group-sm">

                          <a href="{{ route('manager.faqs.services.edit', ['model'=> $model->id, 'id' => $faq->id]) }}"
                              class="btn btn-default" title="Editar">
                              <span class="glyphicon glyphicon-pencil"></span> editar
                          </a>

                          <a href="{{ route('manager.faqs.services.destroy', ['model'=> $model->id, 'id' => $faq->id]) }}"
                              class="btn btn-default" data-delete="true" title="Excluir">
                              <span class="glyphicon glyphicon-trash"></span> excluir
                          </a>
                      </div><!-- .btn-group -->
                  </td>
              </tr>
              @endforeach
          </tbody>
      </table><!-- .table -->
  </div><!-- .table-responsive -->

  @if ($faqs->count() === 0)
  <h3 class="text-center">Sem registros até o momento.</h3>
  @endif

  {!! $faqs->appends(request()->except('page'))->render() !!}
@stop
