<!doctype html>
<html class="no-js" lang="{{ config('manager.lang') }}">

<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{{ config('manager.title') }} {{ config('manager.subtitle') }}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('manager.title') }} | {{ config('manager.subtitle') }}</title>
    <link rel="shortcut icon" href="{{ asset(config('manager.favicon')) }}">
    <link rel="shortcut icon" type="image/png" href="{{ asset('packages/manager/themes/strdash/assets/images/icon/favicon.ico') }}">

    <link rel="stylesheet" href="{{ asset('packages/manager/css/main.css') }}">

    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/font-awesome.min.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/themify-icons.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/metisMenu.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/owl.carousel.min.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/slicknav.min.css') }}">
    <!-- amchart css -->
    <link rel="stylesheet" href="https://www.amcharts.com/lib/3/plugins/export/export.css" type="text/css" media="all" />
    <!-- others css -->
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/typography.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/default-css.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/styles.css') }}">
    <link rel="stylesheet" href="{{ asset('packages/manager/themes/strdash/assets/css/responsive.css') }}">

    <link rel="stylesheet" href="{{ asset('packages/manager/css/vendor/jquery-ui/flick/jquery-ui.min.css') }}">

    <!-- modernizr css -->
    <script src="{{ asset('packages/manager/themes/strdash/assets/js/vendor/modernizr-2.8.3.min.js') }}"></script>

    <link rel="stylesheet" href="{{ asset('third_party/cropper/dist/cropper.min.css')}}">

    <style>
      .user-profile{
        background: -webkit-linear-gradient(left, {{ config('manager.colors.primary') }} 0%, {{ config('manager.colors.secondary') }} 100%);
        background: linear-gradient(to right, {{ config('manager.colors.primary') }} 0%, {{ config('manager.colors.secondary') }} 100%);
      }

      .user-profile img{
          filter: contrast(0.5) brightness(4.5);
      }

      .login-form-head{ background: {{ config('manager.colors.primary') }} }

      .header-area{
        background: {{ config('manager.colors.primary') }};
      }

      .header-area .nav-btn span{
        background: {{ config('manager.colors.texts') }};
      }

      .header-area .user-name{
        color: {{ config('manager.colors.texts') }};
      }

      .btn, .form-gp.focused label{
        color: {{ config('manager.colors.primary') }};
      }

      .btn-primary, .submit-btn-area button:hover{
        background: {{ config('manager.colors.primary') }};
        border-color: {{ config('manager.colors.primary') }};
        color: {{ config('manager.colors.texts') }};
      }

      .btn-primary:hover{
        background: {{ config('manager.colors.primary') }};
        border-color: {{ config('manager.colors.primary') }};
        color: {{ config('manager.colors.texts') }};
      }

      .breadcrumbs li a, .breadcrumbs li span, .metismenu li a i{
        color: {{ config('manager.colors.primary') }};
      }

      .btn-danger{
        color: #fff;
      }

      .cropper-box{
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        width: 100%;
        display: none;
        z-index: 99999;
      }

      .close-cropper{
        position: absolute;
        right: 5px;
        top: 5px;
        color: #fff;
        background: #333;
        padding: 5px;
      }

      .modal-upload-photo .modal-body{
        padding: 0;
      }

      .modal-dialog{
        max-width: 800px;
      }

      .js-form-media-update .form-control, .js-form-media-update .js-btn-submit, .js-no-medias{
          display: none;
      }

    </style>
</head>

<body>
    <!--[if lt IE 8]>
            <p class="browserupgrade">Você está utilizando um <strong>navegador desatualizado</strong>. Por favor  <a href="http://browsehappy.com/">atualize seu navegador</a> para melhorar sua experiência.</p>
        <![endif]-->
    <!-- preloader area start -->
    <div id="preloader">
        <div class="loader"></div>
    </div>
    <!-- preloader area end -->

    @section("main-content")

    @show

    {!! Form::open(['method' => 'delete', 'id' => 'form-delete', 'class' => 'hide' ]) !!}
    {!! Form::close() !!}

    <div class="modal" id="modal-delete">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title">{{ trans('manager::master.modal.delete.title') }}</h4>
                </div>

                <div class="modal-body">
                    <p>{{ trans('manager::master.modal.delete.text') }}?</p>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" id="btn-confirm-delete" data-loading-text="Excluindo...">{{ trans('manager::master.modal.delete.btn-submit') }}</button>
                    <button type="button" class="btn btn-default" data-dismiss="modal">{{ trans('manager::master.modal.delete.btn-cancel') }}</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <div class="modal" id="modal-message">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                    <h4 class="modal-title" id="modal-message-title">Mensagem</h4>
                </div>

                <div class="modal-body">
                    <p id="modal-message-text"></p>
                </div>

                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Ok</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div><!-- /.modal -->

    <div class="modal modal-upload-photo" id="modal-upload-photo" tabindex="-1" role="dialog" aria-labelledby="modal-pload-photo-label" aria-hidden="true">
    	<div class="modal-dialog" role="document">
    		<div class="modal-content">
    			<div class="modal-header">
    				<button type="button" class="close" data-dismiss="modal" aria-label="Close" class="close-cropper">
    					<span aria-hidden="true">&times;</span>
    				</button>
    			</div>
    			{{-- /modal-header --}}

    			<div class="modal-body text-center">
            <img id="image" class="image-cropper" />
          </div>
    			{{-- /modal-body --}}

          <div class="modal-footer">
            <a href="#" class="btn btn-primary btn-confirm-crop">Cortar Imagem</a>
          </div>

    		</div>
    		{{-- /modal-content --}}
    	</div>
    	{{-- /modal-dialog --}}
    </div>
    {{-- /modal --}}

</body>
<!-- jquery latest version -->
<script src="{{ asset('packages/manager/themes/strdash/assets/js/vendor/jquery-2.2.4.min.js') }}"></script>
<!-- bootstrap 4 js -->
<script src="{{ asset('packages/manager/themes/strdash/assets/js/popper.min.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/bootstrap.min.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/owl.carousel.min.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/metisMenu.min.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/jquery.slimscroll.min.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/jquery.slicknav.min.js') }}"></script>

<!-- others plugins -->
<script src="{{ asset('packages/manager/themes/strdash/assets/js/plugins.js') }}"></script>
<script src="{{ asset('packages/manager/themes/strdash/assets/js/scripts.js') }}"></script>

<!-- v 3.0 plugins -->
<script type="text/javascript" src="{{ asset('packages/manager/js/vendor.js') }}"></script>
{{-- <script src="/packages/manager/components/medium-editor/dist/js/medium-editor.js"></script> --}}
{{--   <script src="/packages/manager/components/medium-editor-list/medium-editor-list.min.js"></script> --}}
{{-- <script src="/packages/manager/components/handlebars/handlebars.runtime.min.js"></script> --}}
{{-- <script src="/packages/manager/components/jquery-sortable/source/js/jquery-sortable-min.js"></script> --}}
<script src="/packages/manager/components/blueimp-file-upload/js/vendor/jquery.ui.widget.js"></script>
<script src="/packages/manager/components/blueimp-file-upload/js/jquery.iframe-transport.js"></script>
<script src="/packages/manager/components/blueimp-file-upload/js/jquery.fileupload.js"></script>
{{-- <script src="/packages/manager/components/medium-editor-insert-plugin/dist/js/medium-editor-insert-plugin.min.js"></script>--}}
<script type="text/javascript" src="{{ asset('packages/manager/js/main.js') }}"></script>

<script src="{{ asset('packages/manager/components/notify/bootstrap-notify.min.js') }}"></script>
<script src="{{ asset('third_party/cropper/dist/cropper.min.js')}}"></script>

@section("scripts")

@show

<script>
  $(document).ready( function(){

      var $image = $('.image-cropper');
      var $blockImage = $('.block-image');
      var $blockPreview = null;
      var $uriBlob = null;
      var $box = $(".cropper-box");
      var widthCrop = 0;
      var heightCrop = 0;

      $('.close-cropper').on('click', function(){
        $box.hide();
        $image.cropper('destroy');
        return false;
      });

      $(".btn-confirm-crop").on('click', function(){

        var canvas = $image.cropper("getCroppedCanvas", undefined);
        var uri = canvas.toDataURL("image/jpeg", 1);

        uriBlob.val(uri);
        $blockPreview.attr('src', uri).show();

        $('#modal-upload-photo').modal('hide');
        return false;
      });

      var reader = new FileReader();
      var $imageResult = $("#image");

      $(".picture-crop").on("change", function(){
        $imageResult.hide();
        $image.cropper('destroy');

        var file = $(this).prop('files')[0];

        if( file.size > 10240000 ){
          alert('Por favor selecione uma imagem de até 1MB.');
          return false;
        }

        widthCrop = $(this).data('width');
        heightCrop = $(this).data('height');
        uriBlob = $("#" +  $(this).data('blob'));

        $blockPreview = $("#" +  $(this).data('preview'));

        reader.readAsDataURL(file);

      });

      reader.onload = function (e) {

        // get loaded data and render thumbnail.
        $("#image").attr('src',e.target.result);

        $image.cropper({
          aspectRatio: widthCrop / heightCrop,
          preview: '.preview',
          ready: function (e) {
            $(this).cropper('setData', {
              width:  widthCrop,
              height: heightCrop,
              rotate: 0,
              format: 'png',
              scaleX: 1,
              scaleY: 1,
              viewMode: 3
            });
           }
        });

        var cropper = $image.data('cropper');
        $('#modal-upload-photo').modal({backdrop: 'static'});
        $imageResult.show();
    };

    @if (isset($errors) && count($errors) > 0)

      @foreach ($errors->all() as $error)
        $.notify({
            title: "",
            message: "{!! $error !!}"
          },{
            type: 'danger',
            delay: 5000,
            timer: 5000,
            placement: {
              from: "top",
              align: "center"
            }
          });
        @endforeach
    @endif

    @if (Session::has('message'))
        $.notify({
              title: "",
              message: "{!! Session::get('message') !!}"
            },{
              type: 'success',
              delay: 5000,
              timer: 5000,
              placement: {
                from: "top",
                align: "center"
              },
              animate: {
            		enter: 'animated fadeInDown',
            		exit: 'animated fadeOutUp'
            	}
        });
    @endif

    @if (Session::has('info'))
        $.notify({
              title: "",
              message: "{!! Session::get('info') !!}"
            },{
              type: 'info',
              delay: 5000,
              timer: 5000,
              placement: {
                from: "top",
                align: "center"
              }
        });
    @endif

    @if (Session::has('warning'))
        $.notify({
              title: "",
              message: "{!! Session::get('warning') !!}"
            },{
              type: 'warning',
              delay: 5000,
              timer: 5000,
              placement: {
                from: "top",
                align: "center"
              }
            });

    @endif

    @if (Session::has('error'))

        $.notify({
              title: "",
              message: "{!! Session::get('error') !!}"
            },{
              type: 'danger',
              delay: 5000,
              timer: 5000,
              placement: {
                from: "top",
                align: "center"
              }
            });

    @endif
  });

</script>
