<div class="form-group">
    <label for="news_category_id" class="control-label col-sm-2">Categoria</label>

    <div class="col-sm-9">
      <select class="form-control" name="news_category_id" required>
        @foreach($categories as $categoryList)
        <option @if($categoryList->id == $news->news_category_id) selected @endif value="{{ $categoryList->id }}">{{ $categoryList->title }}</option>
        @endforeach
      </select>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="title" class="control-label col-sm-2">Título</label>

    <div class="col-sm-9">
        <input type="text" name="title" id="title" class="form-control" value="{{ $news->title }}" maxlength="255" required>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group" hidden>
    <label for="subtitle" class="control-label col-sm-2">Subtítulo</label>

    <div class="col-sm-9">
        <input type="text" name="subtitle" id="subtitle" class="form-control" value="{{ $news->subtitle }}" maxlength="255">
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="date" class="control-label col-sm-2">Data</label>

    <div class="col-sm-3">
        <div class="input-group">
            <span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span></span>
            <input type="text" name="date" id="date" class="form-control" value="{{ $news->present->dateManager }}" maxlength="255" data-datepicker required>
        </div>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="title" class="control-label col-sm-2">Conteúdo</label>

    <div class="col-sm-9">
        <textarea name="content" id="content" data-editor>{!! $news->content !!}</textarea>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

@include('manager.inc.picture', ['title' => 'Imagem Listas', 'field' => 'folder', 'width'=> 400, 'height' => 225, 'model' => $news])

<div class="form-group">
    <label for="icon" class="control-label col-sm-2">Imagem Destaque</label>

    <div class="d-flex">
        <div class="col-sm-4">
            <input type="file" name="picture" id="picture" class="form-control">

            <span class="help-block">Apenas imagens do tipo <strong>jpg</strong> ou
                <strong>png</strong> são aceitas.</span>
            @if ($news->picture)
            <span class="help-block">Apenas selecione se for alterar.</span>
            @endif
        </div><!-- .col-sm-4 -->

        <div class="col-sm-4">
            @if ($news->picture)
            <h5>Imagem atual</h5>

            <img src="{{ $news->present->picture(50, 50) }}" alt="">
            @endif
        </div><!-- .col-sm-4 -->
    </div>
</div><!-- .form-group -->

@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-news').on('submit', function(e) {
            $(this).find('.js-btn-submit').button('loading');
        });
    })();
    </script>
@stop
