@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => ['Categorias de Trends']
    ])

    @include('manager::partials.page-header', [
        'title' => 'Categorias de Trends',
        'link'  => [
            'route'    => route('manager.news_categories.create'),
            'label'    => 'Inserir Novo',
            'btn-type' => 'primary',
        ],
    ])

    @include('manager::partials.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Título</th>
                <th width="100">Ativo</th>
                <th width="150">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($news_categories as $category)
                <tr>
                    <td>{{ $category->title }}</td>
                    <td><input type="checkbox" data-id="{{ $category->id }}" data-manager-update-checkbox="active" data-manager-update-url="{{ route('manager.news_categories.updateBasic', $category->id) }}" {{ $category->active ? 'checked="checked"' : null }}></td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.news_categories.edit', $category->id) }}" class="btn btn-default" title="Editar">
                                <span class="glyphicon glyphicon-pencil"></span> editar
                            </a>

                            <a href="{{ route('manager.news_categories.destroy', $category->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                <span class="glyphicon glyphicon-trash"></span> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->

    @if ($news_categories->count() === 0)
        <h3 class="text-center">Nenhum registro encontrado.</h3>
    @endif

    {!! $news_categories->appends(request()->except('page'))->render() !!}
@stop
