@extends(config('manager.views.layouts.master'))

@section('content')

    @include('manager::partials.breadcrumb', [
        'pages' => ['Pedidos']
    ])

    <div class="page-header clearfix">
        <h2>Pedidos</h2>
    </div>

    <form action="{{ route('manager.orders.index') }}" class="form-inline well">
        <input type="text" name="name" class="form-control" value="{{ request('name') }}" placeholder="Nome..." maxlength="255" autofocus>
        <input type="email" name="email" class="form-control" value="{{ request('email') }}" placeholder="E-mail..." maxlength="255">

        <button type="submit" class="btn btn-primary">Filtrar</button>
        <a href="{{ route('manager.orders.index') }}" class="btn btn-default">Limpar filtros</a>
    </form>

    @include('manager::partials.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Nome</th>
                <th>E-mail</th>
                <th>Telefone</th>
                <th>Valor</th>
                <th>Status</th>
                <th>Data</th>
                <th width="150">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($orders as $order)
                <tr>
                    <td>{{ $order->user->name }}</td>
                    <td>{{ $order->user->email }}</td>
                    <td>{{ $order->user->phone }}</td>
                    <td>R$ {{ $order->present->total }}</td>
                    <td><span class="alert alert-{{ $order->status->present->label }}">{{ $order->status->present->title }}</span></td>
                    <td>{{ $order->created_at_formated }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.orders.show', $order->id) }}" data-show class="btn btn-default" title="Editar">
                                <span class="glyphicon glyphicon-search"></span> ver
                            </a>

                            @if(config('app.show_order_actions'))
                            <a href="{{ route('manager.orders.approve', $order->id) }}" data-show class="btn btn-default" title="Aprovar" target="_blank">
                                <span class="glyphicon glyphicon-search"></span> aprovar
                            </a>

                            <a href="{{ route('manager.orders.cancel', $order->id) }}" data-show class="btn btn-default" title="Aprovar" target="_blank">
                                <span class="glyphicon glyphicon-search"></span> cancelar
                            </a>
                            @endif
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->

    @if ($orders->count() === 0)
        <h3 class="text-center">Nenhum registro encontrado.</h3>
    @endif

    {!! $orders->appends(request()->except('page'))->render() !!}


@stop
