@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => ['Integrações']
    ])

    @include('manager::partials.page-header', [
        'title' => 'Integrações',
        'link'  => [
            'route'    => route('manager.partners.create'),
            'label'    => 'Inserir Novo',
            'btn-type' => 'primary',
        ],
    ])

    @include('manager::partials.messages')

    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th width="35"></th>
                <th>Título</th>
                <th width="150">Ações</th>
            </tr>
        </thead>
        <tbody data-manager-sortable>
            @foreach ($partners as $partner)
                <tr data-id="{{ $partner->id }}" data-manager-sortable-url="{{ route('manager.partners.updateBasic', $partner->id) }}">
                    <td style="text-align: center; cursor: move; vertical-align: middle;" title="Arraste para alterar a ordem"><i class="fa fa-arrows"></i></td>
                    <td>{{ $partner->name }}</td>
                    <td>
                        <div class="btn-group btn-group-sm">
                            <a href="{{ route('manager.partners.edit', $partner->id) }}" class="btn btn-default" title="Editar">
                                <span class="glyphicon glyphicon-pencil"></span> editar
                            </a>

                            <a href="{{ route('manager.partners.destroy', $partner->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                <span class="glyphicon glyphicon-trash"></span> excluir
                            </a>
                        </div><!-- .btn-group -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->

    @if ($partners->count() === 0)
        <h3 class="text-center">Nenhum registro encontrado.</h3>
    @endif
@stop
