<div class="form-group">
    <label for="title" class="control-label col-sm-2">Título</label>

    <div class="col-sm-8">
        <input type="text" name="title" id="title" class="form-control" value="{{ $service->title }}" maxlength="255" autofocus required>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="subtitle" class="control-label col-sm-2">Subtítulo</label>

    <div class="col-sm-8">
        <textarea name="subtitle" id="subtitle" class="form-control" rows="3" maxlength="255">{{ $service->subtitle }}</textarea>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group" hidden>
    <label for="description" class="control-label col-sm-2">Descrição</label>

    <div class="col-sm-8">
        <textarea name="description" id="description" class="form-control" data-editor required>{{ $service->description }}</textarea>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="value" class="control-label col-sm-2">Preço</label>

    <div class="col-sm-8">
        <input type="text" min="0.01" step="0.01" name="value" id="value" class="form-control" value="{{ $service->present->value }}" maxlength="255" data-money>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="free_dids" class="control-label col-sm-8">DIDs inclusos</label>

    <div class="col-sm-8">
        <input type="number" min="1" step="1" name="free_dids" id="free_dids" class="form-control" value="{{ $service->free_dids ? $service->free_dids : '1' }}" maxlength="255">
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group">
    <label for="value_ramal" class="control-label col-sm-8">Valor DID Adicional</label>

    <div class="col-sm-8">
        <input type="text" min="0.01" step="0.01" name="value_ramal" id="value_ramal" class="form-control" value="{{ $service->present->value_ramal }}" maxlength="255" data-money>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group" hidden>
    <label for="has_call_center" class="control-label col-sm-2">Call Center Incluso</label>

    <div class="col-sm-3">
      <select class="form-control" name="has_call_center">
        <option @if($service->has_call_center == 0) selected @endif value="0">Não</option>
        <option @if($service->has_call_center == 1) selected @endif value="1">Sim</option>
      </select>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->

<div class="form-group" hidden>
    <label for="has_cloud" class="control-label col-sm-2">Cloud Incluso</label>

    <div class="col-sm-3">
      <select class="form-control" name="has_cloud">
        <option @if($service->has_cloud == 0) selected @endif value="0">Não</option>
        <option @if($service->has_cloud == 1) selected @endif value="1">Sim</option>
      </select>
    </div><!-- .col-sm-8 -->
</div><!-- .form-group -->



@section('scripts')
    @parent

    <script type="text/javascript">
    (function() {
        $('#form-service').on('submit', function(e) {
            $(this).find('.js-btn-submit').button('loading');
        });
    })();
    </script>
@stop
