@extends(config('manager.views.layouts.master'))

@section('content')
    @include('manager::partials.breadcrumb', [
        'pages' => ['Depoimentos']
    ])

    @include('manager::partials.page-header', [
        'title' => 'Depoimentos',
        'link'  => [
            'route'    => route('manager.testimonials.create'),
            'label'    => 'Inserir Novo',
            'btn-type' => 'primary',
        ],
    ])

    @include('manager::partials.messages')

    <div class="table-responsive">
        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>Nome</th>
                    <th width="150">Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($testimonials as $testimonial)
                    <tr>
                        <td>{{ $testimonial->name }}</td>
                        <td>
                            <div class="btn-group btn-group-sm">
                                <a href="{{ route('manager.testimonials.edit', $testimonial->id) }}" class="btn btn-default" title="Editar">
                                    <span class="glyphicon glyphicon-pencil"></span> editar
                                </a>

                                <a href="{{ route('manager.testimonials.destroy', $testimonial->id) }}" class="btn btn-default" data-delete="true" title="Excluir">
                                    <span class="glyphicon glyphicon-trash"></span> excluir
                                </a>
                            </div><!-- .btn-group -->
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table><!-- .table -->
    </div><!-- .table-responsive -->

    @if ($testimonials->count() === 0)
        <h3 class="text-center">Sem registros até o momento.</h3>
    @endif

    {!! $testimonials->appends(request()->except('page'))->render() !!}
@stop
