@extends(config('manager.views.layouts.master'))

@section('content')
@include('manager::partials.breadcrumb', [
'pages' => ['Vagas']
])

@include('manager::partials.page-header', [
'title' => 'Vagas',
'link' => [
'route' => route('manager.vacantjobs.create'),
'label' => 'Inserir vaga',
'btn-type' => 'primary',
],
])

@include('manager::partials.messages')

<div class="table-responsive">
    <table class="table table-bordered table-striped table-hover">
        <thead>
            <tr>
                <th>Vaga</th>
                <th width="90">Ativo</th>
                <th width="150">Ações</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($vacantjobs as $vacantjob)
            <tr>
                <td>{{ $vacantjob->title }}</td>
                <td>
                    <input type="checkbox" data-id="{{ $vacantjob->id }}"
                        data-manager-update-checkbox="active"
                        data-manager-update-url="{{ route('manager.vacantjobs.updateBasic', $vacantjob->id) }}"
                        {{ $vacantjob->active ? 'checked="checked"' : null }}>
                </td>
                <td>
                    <div class="btn-group btn-group-sm">
                        <a href="{{ route('manager.vacantjobs.edit', $vacantjob->id) }}"
                            class="btn btn-default" title="Editar">
                            <span class="glyphicon glyphicon-pencil"></span> editar
                        </a>

                        <a href="{{ route('manager.vacantjobs.destroy', $vacantjob->id) }}"
                            class="btn btn-default" data-delete="true" title="Excluir">
                            <span class="glyphicon glyphicon-trash"></span> excluir
                        </a>
                    </div><!-- .btn-group -->
                </td>
            </tr>
            @endforeach
        </tbody>
    </table><!-- .table -->
</div><!-- .table-responsive -->

@if ($vacantjobs->count() === 0)
<h3 class="text-center">Sem Vagas até o momento.</h3>
@endif

{!! $vacantjobs->appends(request()->except('page'))->render() !!}
@stop