<?php
/*
|--------------------------------------------------------------------------
| - Arquivo de rotas do manager
|--------------------------------------------------------------------------
*/

# modules
Route::get('modulos', ['as' => 'modules.index', 'uses' => 'ModulesController@index']);

# subscribers
Route::get('newsletter', ['as' => 'subscribers.index', 'uses' => 'SubscribersController@index']);
Route::get('newsletter/exportar', ['as' => 'subscribers.export', 'uses' => 'SubscribersController@export']);
Route::delete('newsletter/{id}', ['as' => 'subscribers.destroy', 'uses' => 'SubscribersController@destroy']);

Route::get('regions', 'RegionsController@index')->name('regions.index');
Route::get('regions/inserir', 'RegionsController@create')->name('regions.create');
Route::post('regions', 'RegionsController@store')->name('regions.store');
Route::get('regions/{id}/editar', 'RegionsController@edit')->name('regions.edit');
Route::put('regions/{id}', 'RegionsController@update')->name('regions.update');
Route::put('regions/{id}/basic', 'RegionsController@updateBasic')->name('regions.updateBasic');
Route::delete('regions/{id}', 'RegionsController@destroy')->name('regions.destroy');

Route::get('sections', 'SectionsController@index')->name('sections.index');
Route::get('sections/inserir', 'SectionsController@create')->name('sections.create');
Route::post('sections', 'SectionsController@store')->name('sections.store');
Route::get('sections/{id}/editar', 'SectionsController@edit')->name('sections.edit');
Route::put('sections/{id}', 'SectionsController@update')->name('sections.update');
Route::put('sections/{id}/basic', 'SectionsController@updateBasic')->name('sections.updateBasic');
Route::delete('sections/{id}', 'SectionsController@destroy')->name('sections.destroy');

Route::get('downloads', 'DownloadsController@index')->name('downloads.index');
Route::get('downloads/inserir', 'DownloadsController@create')->name('downloads.create');
Route::post('downloads', 'DownloadsController@store')->name('downloads.store');
Route::get('downloads/{id}/editar', 'DownloadsController@edit')->name('downloads.edit');
Route::put('downloads/{id}', 'DownloadsController@update')->name('downloads.update');
Route::put('downloads/{id}/basic', 'DownloadsController@updateBasic')->name('downloads.updateBasic');
Route::delete('downloads/{id}', 'DownloadsController@destroy')->name('downloads.destroy');
# contatos
Route::get('contatos', ['as' => 'contacts.index', 'uses' => 'ContactsController@index']);
Route::get('contatos/{id}', ['as' => 'contacts.show', 'uses' => 'ContactsController@show']);
Route::delete('contatos/{id}', ['as' => 'contacts.destroy', 'uses' => 'ContactsController@destroy']);

# orcamentos
Route::get('orcamentos', ['as' => 'budgets.index', 'uses' => 'BudgetsController@index']);
Route::get('orcamentos/{id}', ['as' => 'budgets.show', 'uses' => 'BudgetsController@show']);
Route::delete('orcamentos/{id}', ['as' => 'budgets.destroy', 'uses' => 'BudgetsController@destroy']);

# banners
Route::get('banners', 'BannersController@index')->name('banners.index');
Route::get('banners/inserir', 'BannersController@create')->name('banners.create');
Route::post('banners', 'BannersController@store')->name('banners.store');
Route::get('banners/{id}/editar', 'BannersController@edit')->name('banners.edit');
Route::put('banners/{id}', 'BannersController@update')->name('banners.update');
Route::put('banners/{id}/basic', 'BannersController@updateBasic')->name('banners.updateBasic');
Route::delete('banners/{id}', 'BannersController@destroy')->name('banners.destroy');

Route::get('sobre', 'AboutController@index')->name('abouts.index');
Route::get('sobre/inserir', 'AboutController@create')->name('abouts.create');
Route::post('sobre', 'AboutController@store')->name('abouts.store');
Route::get('sobre/{id}/editar', 'AboutController@edit')->name('abouts.edit');
Route::put('sobre/{id}', 'AboutController@update')->name('abouts.update');
Route::put('sobre/{id}/basic', 'AboutController@updateBasic')->name('abouts.updateBasic');
Route::delete('sobre/{id}', 'AboutController@destroy')->name('abouts.destroy');

Route::get('sobre-parceiros', 'AboutPartnersController@index')->name('abouts-partners.index');
Route::get('sobre-parceiros/inserir', 'AboutPartnersController@create')->name('abouts-partners.create');
Route::post('sobre-parceiros', 'AboutPartnersController@store')->name('abouts-partners.store');
Route::get('sobre-parceiros/{id}/editar', 'AboutPartnersController@edit')->name('abouts-partners.edit');
Route::put('sobre-parceiros/{id}', 'AboutPartnersController@update')->name('abouts-partners.update');
Route::put('sobre-parceiros/{id}/basic', 'AboutPartnersController@updateBasic')->name('abouts-partners.updateBasic');
Route::delete('sobre-parceiros/{id}', 'AboutPartnersController@destroy')->name('abouts-partners.destroy');

Route::get('sobre-afiliados', 'AboutAffiliatesController@index')->name('abouts-affiliates.index');
Route::get('sobre-afiliados/inserir', 'AboutAffiliatesController@create')->name('abouts-affiliates.create');
Route::post('sobre-afiliados', 'AboutAffiliatesController@store')->name('abouts-affiliates.store');
Route::get('sobre-afiliados/{id}/editar', 'AboutAffiliatesController@edit')->name('abouts-affiliates.edit');
Route::put('sobre-afiliados/{id}', 'AboutAffiliatesController@update')->name('abouts-affiliates.update');
Route::put('sobre-afiliados/{id}/basic', 'AboutAffiliatesController@updateBasic')->name('abouts-affiliates.updateBasic');
Route::delete('sobre-afiliados/{id}', 'AboutAffiliatesController@destroy')->name('abouts-affiliates.destroy');

Route::get('sobre-ipabx', 'AboutIpabxController@index')->name('abouts-ipabx.index');
Route::get('sobre-ipabx/inserir', 'AboutIpabxController@create')->name('abouts-ipabx.create');
Route::post('sobre-ipabx', 'AboutIpabxController@store')->name('abouts-ipabx.store');
Route::get('sobre-ipabx/{id}/editar', 'AboutIpabxController@edit')->name('abouts-ipabx.edit');
Route::put('sobre-ipabx/{id}', 'AboutIpabxController@update')->name('abouts-ipabx.update');
Route::put('sobre-ipabx/{id}/basic', 'AboutIpabxController@updateBasic')->name('abouts-ipabx.updateBasic');
Route::delete('sobre-ipabx/{id}', 'AboutIpabxController@destroy')->name('abouts-ipabx.destroy');

# awards
Route::get('detalhes/{about}/sobre', ['as' => 'awards.index', 'uses' => 'AwardsController@index']);
Route::get('detalhes/{about}/sobre/inserir', ['as' => 'awards.create', 'uses' => 'AwardsController@create']);
Route::post('detalhes/{about}/sobre', ['as' => 'awards.store', 'uses' => 'AwardsController@store']);
Route::get('detalhes/{about}/sobre/{id}/editar', ['as' => 'awards.edit', 'uses' => 'AwardsController@edit']);
Route::put('detalhes/{about}/sobre/{id}', ['as' => 'awards.update', 'uses' => 'AwardsController@update']);
Route::put('detalhes/{about}/sobre/{id}/basic', ['as' => 'awards.updateBasic', 'uses' => 'AwardsController@updateBasic']);
Route::delete('detalhes/{about}/sobre/{id}', ['as' => 'awards.destroy', 'uses' => 'AwardsController@destroy']);
# informações
Route::get('informacoes', ['as' => 'infos.index', 'uses' => 'InfosController@index']);
Route::get('informacoes/{id}/editar', ['as' => 'infos.edit', 'uses' => 'InfosController@edit']);
Route::put('informacoes/{id}', ['as' => 'infos.update', 'uses' => 'InfosController@update']);
# serviços
Route::get('planos', ['as' => 'services.index', 'uses' => 'ServicesController@index']);
Route::get('planos/inserir', ['as' => 'services.create', 'uses' => 'ServicesController@create']);
Route::post('planos', ['as' => 'services.store', 'uses' => 'ServicesController@store']);
Route::get('planos/{id}/editar', ['as' => 'services.edit', 'uses' => 'ServicesController@edit']);
Route::put('planos/{id}', ['as' => 'services.update', 'uses' => 'ServicesController@update']);
Route::put('planos/{id}/basic', ['as' => 'services.updateBasic', 'uses' => 'ServicesController@updateBasic']);
Route::delete('planos/{id}', ['as' => 'services.destroy', 'uses' => 'ServicesController@destroy']);

Route::get('planos/{model}/itens', ['as' => 'services.benefits.index', 'uses' => 'Services\BenefitsController@index']);
Route::get('planos/{model}/itens/inserir', ['as' => 'services.benefits.create', 'uses' => 'Services\BenefitsController@create']);
Route::post('planos/{model}/itens', ['as' => 'services.benefits.store', 'uses' => 'Services\BenefitsController@store']);
Route::get('planos/{model}/itens/{id}/editar', ['as' => 'services.benefits.edit', 'uses' => 'Services\BenefitsController@edit']);
Route::put('planos/{model}/itens/{id}', ['as' => 'services.benefits.update', 'uses' => 'Services\BenefitsController@update']);
Route::put('planos/{model}/itens/{id}/basic', ['as' => 'services.benefits.updateBasic', 'uses' => 'Services\BenefitsController@updateBasic']);
Route::delete('planos/{model}/itens/{id}', ['as' => 'services.benefits.destroy', 'uses' => 'Services\BenefitsController@destroy']);

Route::get('servicos/{model}/perguntas', ['as' => 'faqs.services.index', 'uses' => 'Faqs\ServicesController@index']);
Route::get('servicos/{model}/perguntas/inserir', ['as' => 'faqs.services.create', 'uses' => 'Faqs\ServicesController@create']);
Route::post('servicos/{model}/perguntas', ['as' => 'faqs.services.store', 'uses' => 'Faqs\ServicesController@store']);
Route::get('servicos/{model}/perguntas/{id}/editar', ['as' => 'faqs.services.edit', 'uses' => 'Faqs\ServicesController@edit']);
Route::put('servicos/{model}/perguntas/{id}', ['as' => 'faqs.services.update', 'uses' => 'Faqs\ServicesController@update']);
Route::put('servicos/{model}/perguntas/{id}/basic', ['as' => 'faqs.services.updateBasic', 'uses' => 'Faqs\ServicesController@updateBasic']);
Route::delete('servicos/{model}/perguntas/{id}', ['as' => 'faqs.services.destroy', 'uses' => 'Faqs\ServicesController@destroy']);

Route::get('extras', 'CategoriesController@index')->name('categories.index');
Route::get('extras/inserir', 'CategoriesController@create')->name('categories.create');
Route::post('extras', 'CategoriesController@store')->name('categories.store');
Route::get('extras/{id}/editar', 'CategoriesController@edit')->name('categories.edit');
Route::put('extras/{id}', 'CategoriesController@update')->name('categories.update');
Route::put('extras/{id}/basic', 'CategoriesController@updateBasic')->name('categories.updateBasic');
Route::delete('extras/{id}', 'CategoriesController@destroy')->name('categories.destroy');

Route::get('extras/{model}/itens', ['as' => 'categories.benefits.index', 'uses' => 'Categories\BenefitsController@index']);
Route::get('extras/{model}/itens/inserir', ['as' => 'categories.benefits.create', 'uses' => 'Categories\BenefitsController@create']);
Route::post('extras/{model}/itens', ['as' => 'categories.benefits.store', 'uses' => 'Categories\BenefitsController@store']);
Route::get('extras/{model}/itens/{id}/editar', ['as' => 'categories.benefits.edit', 'uses' => 'Categories\BenefitsController@edit']);
Route::put('extras/{model}/itens/{id}', ['as' => 'categories.benefits.update', 'uses' => 'Categories\BenefitsController@update']);
Route::put('extras/{model}/itens/{id}/basic', ['as' => 'categories.benefits.updateBasic', 'uses' => 'Categories\BenefitsController@updateBasic']);
Route::delete('extras/{model}/itens/{id}', ['as' => 'categories.benefits.destroy', 'uses' => 'Categories\BenefitsController@destroy']);

# notícias
Route::get('noticias', ['as' => 'news.index', 'uses' => 'NewsController@index']);
Route::get('noticias/inserir', ['as' => 'news.create', 'uses' => 'NewsController@create']);
Route::post('noticias', ['as' => 'news.store', 'uses' => 'NewsController@store']);
Route::get('noticias/{id}/editar', ['as' => 'news.edit', 'uses' => 'NewsController@edit']);
Route::put('noticias/{id}', ['as' => 'news.update', 'uses' => 'NewsController@update']);
Route::put('noticias/{id}/basic', ['as' => 'news.updateBasic', 'uses' => 'NewsController@updateBasic']);
Route::delete('noticias/{id}', ['as' => 'news.destroy', 'uses' => 'NewsController@destroy']);

Route::get('noticias/categorias', 'NewsCategoriesController@index')->name('news_categories.index');
Route::get('noticias/categorias/inserir', 'NewsCategoriesController@create')->name('news_categories.create');
Route::post('noticias/categorias', 'NewsCategoriesController@store')->name('news_categories.store');
Route::get('noticias/categorias/{id}/editar', 'NewsCategoriesController@edit')->name('news_categories.edit');
Route::put('noticias/categorias/{id}', 'NewsCategoriesController@update')->name('news_categories.update');
Route::put('noticias/categorias/{id}/basic', 'NewsCategoriesController@updateBasic')->name('news_categories.updateBasic');
Route::delete('noticias/categorias/{id}', 'NewsCategoriesController@destroy')->name('news_categories.destroy');

Route::get('testimonials', 'TestimonialsController@index')->name('testimonials.index');
Route::get('testimonials/inserir', 'TestimonialsController@create')->name('testimonials.create');
Route::post('testimonials', 'TestimonialsController@store')->name('testimonials.store');
Route::get('testimonials/{id}/editar', 'TestimonialsController@edit')->name('testimonials.edit');
Route::put('testimonials/{id}', 'TestimonialsController@update')->name('testimonials.update');
Route::put('testimonials/{id}/basic', 'TestimonialsController@updateBasic')->name('testimonials.updateBasic');
Route::delete('testimonials/{id}', 'TestimonialsController@destroy')->name('testimonials.destroy');

# trabalhe conosco
Route::get('curriculos', ['as' => 'applications.index', 'uses' => 'ApplicationsController@index']);
Route::get('curriculos/{id}', ['as' => 'applications.show', 'uses' => 'ApplicationsController@show']);
Route::get('curriculos/{id}/curriculo', ['as' => 'applications.curriculum', 'uses' => 'ApplicationsController@curriculum']);
Route::delete('curriculos/{id}', ['as' => 'applications.destroy', 'uses' => 'ApplicationsController@destroy']);
Route::get('curriculos/download/{file}', ['as' => 'applications.download', 'uses' => 'ApplicationsController@download']);

Route::get('vagas', ['as' => 'vacantjobs.index', 'uses' => 'VacantjobsController@index']);
Route::get('vagas/inserir', ['as' => 'vacantjobs.create', 'uses' => 'VacantjobsController@create']);
Route::post('vagas', ['as' => 'vacantjobs.store', 'uses' => 'VacantjobsController@store']);
Route::get('vagas/{id}/editar', ['as' => 'vacantjobs.edit', 'uses' => 'VacantjobsController@edit']);
Route::put('vagas/{id}', ['as' => 'vacantjobs.update', 'uses' => 'VacantjobsController@update']);
Route::put('vagas/{id}/basic', ['as' => 'vacantjobs.updateBasic', 'uses' => 'VacantjobsController@updateBasic']);
Route::delete('vagas/{id}', ['as' => 'vacantjobs.destroy', 'uses' => 'VacantjobsController@destroy']);

Route::get('usuarios', 'UsersController@index')->name('users.index');
Route::get('usuarios/inserir', 'UsersController@create')->name('users.create');
Route::post('usuarios', 'UsersController@store')->name('users.store');
Route::get('usuarios/{id}/editar', 'UsersController@edit')->name('users.edit');
Route::put('usuarios/{id}', 'UsersController@update')->name('users.update');
Route::put('usuarios/{id}/basic', 'UsersController@updateBasic')->name('users.updateBasic');
Route::delete('usuarios/{id}', 'UsersController@destroy')->name('users.destroy');

Route::get('dids', 'DIDController@index')->name('dids.index');
Route::get('dids/inserir', 'DIDController@create')->name('dids.create');
Route::get('dids/importar', 'DIDController@import')->name('dids.import');
Route::post('dids', 'DIDController@store')->name('dids.store');
Route::post('dids/importar', 'DIDController@importStore')->name('dids.importStore');
Route::get('dids/{id}/editar', 'DIDController@edit')->name('dids.edit');
Route::put('dids/{id}', 'DIDController@update')->name('dids.update');
Route::put('dids/{id}/basic', 'DIDController@updateBasic')->name('dids.updateBasic');
Route::delete('dids/{id}', 'DIDController@destroy')->name('dids.destroy');

Route::get('integracoes', 'PartnersController@index')->name('partners.index');
Route::get('integracoes/inserir', 'PartnersController@create')->name('partners.create');
Route::post('integracoes', 'PartnersController@store')->name('partners.store');
Route::get('integracoes/{id}/editar', 'PartnersController@edit')->name('partners.edit');
Route::put('integracoes/{id}', 'PartnersController@update')->name('partners.update');
Route::put('integracoes/{id}/basic', 'PartnersController@updateBasic')->name('partners.updateBasic');
Route::delete('integracoes/{id}', 'PartnersController@destroy')->name('partners.destroy');

Route::get('sobre/{model}/perguntas', ['as' => 'faqs.abouts.index', 'uses' => 'Faqs\AboutsController@index']);
Route::get('sobre/{model}/perguntas/inserir', ['as' => 'faqs.abouts.create', 'uses' => 'Faqs\AboutsController@create']);
Route::post('sobre/{model}/perguntas', ['as' => 'faqs.abouts.store', 'uses' => 'Faqs\AboutsController@store']);
Route::get('sobre/{model}/perguntas/{id}/editar', ['as' => 'faqs.abouts.edit', 'uses' => 'Faqs\AboutsController@edit']);
Route::put('sobre/{model}/perguntas/{id}', ['as' => 'faqs.abouts.update', 'uses' => 'Faqs\AboutsController@update']);
Route::put('sobre/{model}/perguntas/{id}/basic', ['as' => 'faqs.abouts.updateBasic', 'uses' => 'Faqs\AboutsController@updateBasic']);
Route::delete('sobre/{model}/perguntas/{id}', ['as' => 'faqs.abouts.destroy', 'uses' => 'Faqs\AboutsController@destroy']);

Route::get('alteracao', ['as' => 'changes.index', 'uses' => 'ChangesController@index']);
Route::get('alteracao/{id}', ['as' => 'changes.show', 'uses' => 'ChangesController@show']);
Route::delete('alteracao/{id}', ['as' => 'changes.destroy', 'uses' => 'ChangesController@destroy']);

Route::get('cancelamentos', ['as' => 'cancels.index', 'uses' => 'CancelsController@index']);
Route::get('cancelamentos/{id}', ['as' => 'cancels.show', 'uses' => 'CancelsController@show']);
Route::delete('cancelamentos/{id}', ['as' => 'cancels.destroy', 'uses' => 'CancelsController@destroy']);

Route::get('afiliados', ['as' => 'affiliates.index', 'uses' => 'AffiliatesController@index']);
Route::get('afiliados/{id}', ['as' => 'affiliates.show', 'uses' => 'AffiliatesController@show']);
Route::delete('afiliados/{id}', ['as' => 'affiliates.destroy', 'uses' => 'AffiliatesController@destroy']);

Route::get('parceiros', ['as' => 'partners-contact.index', 'uses' => 'PartnersContactController@index']);
Route::get('parceiros/{id}', ['as' => 'partners-contact.show', 'uses' => 'PartnersContactController@show']);
Route::delete('parceiros/{id}', ['as' => 'partners-contact.destroy', 'uses' => 'PartnersContactController@destroy']);


Route::get('ordens', 'OrdersController@index')->name('orders.index');
Route::get('ordens/inserir', 'OrdersController@create')->name('orders.create');
Route::post('ordens', 'OrdersController@store')->name('orders.store');
Route::get('ordens/{id}/ver', 'OrdersController@show')->name('orders.show');
Route::get('ordens/{id}/aprovar', 'OrdersController@approve')->name('orders.approve');
Route::get('ordens/{id}/cancelar', 'OrdersController@cancel')->name('orders.cancel');
Route::put('ordens/{id}', 'OrdersController@update')->name('orders.update');
Route::put('ordens/{id}/basic', 'OrdersController@updateBasic')->name('orders.updateBasic');
Route::delete('ordens/{id}', 'OrdersController@destroy')->name('orders.destroy');
