<?php
/*
|--------------------------------------------------------------------------
| - Arquivo de rotas da aplicação
|--------------------------------------------------------------------------
| Descrição do site
| Desenvolvido por: Agência Escape <www.escape.ppg.br>
|--------------------------------------------------------------------------
*/

# home
Route::get('/', ['as' => 'home', 'uses' => 'HomeController@index']);

# solution
Route::get('ipabx-virtual', ['as' => 'solution', 'uses' => 'SolutionController@index']);

# partners
Route::get('parceiros', ['as' => 'partners', 'uses' => 'PartnersController@index']);

Route::get('termo-de-adesao', ['as' => 'terms', 'uses' => 'HomeController@terms']);

# affiliates
Route::get('afiliados', ['as' => 'affiliates', 'uses' => 'AffiliatesController@index']);

# checkout
Route::get('checkout/{slug?}', ['as' => 'checkout', 'uses' => 'CheckoutController@index']);
Route::get('checkout/plano/{slug?}', ['as' => 'checkout.plan', 'uses' => 'CheckoutController@index']);
Route::post('checkout/reservar-numero', ['as' => 'checkout.reserve', 'uses' => 'CheckoutController@reserve']);
Route::post('checkout/liberar-numero', ['as' => 'checkout.release', 'uses' => 'CheckoutController@release']);
Route::post('checkout/liberar-numeros', ['as' => 'checkout.releaseMultiple', 'uses' => 'CheckoutController@releaseMultiple']);

# trends
Route::get('trends', ['as' => 'trends.index', 'uses' => 'TrendsController@index']);
Route::get('trends/trend/{slug?}', ['as' => 'trends.show', 'uses' => 'TrendsController@show']);

# contact
Route::post('contato', ['as' => 'contact.send', 'uses' => 'ContactController@send']);

# newsletter
Route::post('newsletter', ['as' => 'subscriber.send', 'uses' => 'SubscribersController@send']);

# issabel

Route::get('checkoutTeste/token', ['as' => 'checkout.token', 'uses' => 'CheckoutController@getToken']);
Route::get('checkoutTeste/company', ['as' => 'checkout.company', 'uses' => 'CheckoutController@createCompany']);

//checkout
Route::get('planos', ['as' => 'checkout.plans', 'uses' => 'CheckoutController@plans']);

# pagseguro
Route::group(['prefix' => 'payment'], function() {
  Route::group(['prefix' => 'pagseguro'], function() {
     Route::get('session', ['as' => 'session', 'uses' => '\App\Domains\Payment\PagSeguro\CreditCard\PaymentController@session']);
     Route::post('installments', ['as' => 'installments', 'uses' => '\App\Domains\Payment\PagSeguro\CreditCard\PaymentController@installments']);
  });
});

#ajax
Route::group(['prefix' => 'ajax', 'as' => 'ajax.'], function() {
    # busca de endereços
    Route::get('endereco/{postal_code}', ['as' => 'address.search', 'uses' => 'CartController@postalCode']);

    # delivery
    Route::get('frete/{postal_code}', ['as' => 'delivery.calculate', 'uses' => 'CartController@deliveryOptions']);
    Route::post('frete', ['as' => 'delivery.calculateId', 'uses' => 'CartController@deliveryOptionsId']);
});

# orders
Route::post('pedidos/finalizar', ['as' => 'orders.finalize', 'uses' => 'OrdersController@store']);
Route::post('pedidos/validar/dados', ['as' => 'orders.step_data', 'uses' => 'OrdersController@step_data']);
Route::post('pedidos/validar/endereco', ['as' => 'orders.step_address', 'uses' => 'OrdersController@step_address']);
Route::post('pedidos/validar/cartao', ['as' => 'orders.step_card', 'uses' => 'OrdersController@step_card']);
Route::get('pedidos/finalizado/{code?}', ['as' => 'orders.finalized', 'uses' => 'OrdersController@finalized']);
