let mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for your application, as well as bundling up your JS files.
 |
 */

mix.options({
    processCssUrls: false
})
    .sass('resources/assets/sass/main.scss', 'public/assets/css')
    .sass('resources/assets/sass/sections/home.scss', 'public/assets/css/sections/home.css')
    .sass('resources/assets/sass/sections/solution.scss', 'public/assets/css/sections/solution.css')
    .sass('resources/assets/sass/sections/partners.scss', 'public/assets/css/sections/partners.css')
    .sass('resources/assets/sass/sections/trends.scss', 'public/assets/css/sections/trends.css')
    .sass('resources/assets/sass/sections/checkout.scss', 'public/assets/css/sections/checkout.css')
    .sass('resources/assets/sass/sections/order.scss', 'public/assets/css/sections/order.css')
    .js('resources/assets/js/app/main.js', 'public/assets/js/app')
    .js('resources/assets/js/app/home.js', 'public/assets/js/app/home.min.js')
    .js('resources/assets/js/app/solution.js', 'public/assets/js/app/solution.min.js')
    .js('resources/assets/js/app/partners.js', 'public/assets/js/app/partners.min.js')
    .js('resources/assets/js/app/checkout.js', 'public/assets/js/app/checkout.min.js')

// Full API
// mix.js(src, output);
// mix.react(src, output); <-- Identical to mix.js(), but registers React Babel compilation.
// mix.extract(vendorLibs);
// mix.sass(src, output);
// mix.less(src, output);
// mix.stylus(src, output);
// mix.browserSync('my-site.dev');
// mix.combine(files, destination);
// mix.babel(files, destination); <-- Identical to mix.combine(), but also includes Babel compilation.
// mix.copy(from, to);
// mix.minify(file);
// mix.sourceMaps(); // Enable sourcemaps
// mix.version(); // Enable versioning.
// mix.disableNotifications();
// mix.setPublicPath('path/to/public');
// mix.setResourceRoot('prefix/for/resource/locators');
// mix.autoload({}); <-- Will be passed to Webpack's ProvidePlugin.
// mix.webpackConfig({}); <-- Override webpack.config.js, without editing the file directly.
// mix.then(function () {}) <-- Will be triggered each time Webpack finishes building.
// mix.options({
//   extractVueStyles: false, // Extract .vue component styling to file, rather than inline.
//   processCssUrls: true, // Process/optimize relative stylesheet url()'s. Set to false, if you don't want them touched.
//   uglify: {}, // Uglify-specific options. https://webpack.github.io/docs/list-of-plugins.html#uglifyjsplugin
//   postCss: [] // Post-CSS options: https://github.com/postcss/postcss/blob/master/docs/plugins.md
// });

var LiveReloadPlugin = require('webpack-livereload-plugin');

mix.webpackConfig({
    plugins: [
        new LiveReloadPlugin()
    ]
});
